//##############################################################################
//	Dateiname:		SDS_MAIN_C.c
//##############################################################################
//
//  	Autor:					M.Wrner
//  							HS Ulm
//
//		Datum:					Dezember 2007
//		Verwendetes Programm: 	MPLAB 7.62 
//
//##############################################################################
//
/** I N C L U D E S ***********************************************************/
#include "p18f2620.h"							// Verwendete header-Dateien.
#include "adc.h"
#include "delays.h"
#include "math.h"
#include "timers.h"
#include "KSWW_MAIN_C.h"
#include "LCD12864.h"
#include "Schaufeln.h"

#pragma config OSC = INTIO67						// Configurationen
#pragma config FCMEN = OFF
#pragma config IESO = OFF
#pragma config PWRT = OFF
#pragma config BOREN = OFF
#pragma config BORV = 0
#pragma config WDT = OFF
#pragma config WDTPS = 1
#pragma config MCLRE = ON
#pragma config LPT1OSC = OFF
#pragma config PBADEN = OFF
#pragma config STVREN = OFF
#pragma config LVP = OFF
#pragma config XINST = OFF
#pragma config DEBUG = ON
#pragma config CP0 = OFF
#pragma config CP1 = OFF
#pragma config CP2 = OFF
#pragma config CP3 = OFF
#pragma config CPB = OFF
#pragma config CPD = OFF
#pragma config WRT0 = OFF
#pragma config WRT1 = OFF
#pragma config WRTB = OFF
#pragma config WRTC = OFF
#pragma config WRTD = OFF
#pragma config EBTR0 = OFF
#pragma config EBTR1 = OFF
#pragma config EBTR2 = OFF
#pragma config EBTR3 = OFF
#pragma config EBTRB = OFF



/** P R I V A T E  V A R I A B L E S ******************************************/
#pragma udata access ACESSRAM

near union Word X_WertM;
near union Word Y_WertM;
near union Word Schaufeln;
near int i;
near union Word X_Kali;
near union Word Y_Kali;
near int X_WertR;
near int Y_WertR;
near int Neigung;
near float RechenW;
near float Winkel;
near float WinkelR;
near int WinkelG;
near int WinkelE;
near int StartW;
near int ZErg;
near int Schieben;
near int X_Offset;
near int Y_Offset;

#pragma udata

/** P R I V A T E  P R O T O T Y P E S ****************************************/
void low_isr(void);
void high_isr(void);
void SysInit_(void);
void Messen_(void);



/** E X T E R N  P R O T O T Y P E S ******************************************/ 
	
extern	void _RXInt(void);		// in SDS_CMD.asm

/** E X T E R N  V A R I A L E S  *********************************************/

extern near unsigned char AckState, AckReg0;

//
/** V E C T O R S  ************************************************************/
#pragma code high_vector=0x08            // auskommentiert
void interrupt_at_high_vector(void)
{
	_asm GOTO high_isr _endasm
}
#pragma  code low_vector=0x18
void interrupt_at_low_vector(void)
{
	_asm GOTO low_isr _endasm
}

/** C O D E  ******************************************************************/
#pragma  code

#pragma interruptlow low_isr
void low_isr(void)
{
	if(INTCONbits.TMR0IE && INTCONbits.TMR0IF) // Timer 0 IR ?
	{
		INTCONbits.TMR0IE = 0;
		INTCONbits.TMR0IF = 0;
		Messen_();
		INTCONbits.TMR0IE = 1;
		return;
	}
	
//
	while(1)	{;} //??? endless loop
////	goto	$	; Find cause of interrupt and service it before
////			; returning from interrupt. If not, the same interrupt
////			; will re-occur as soon as execution returns to
////			; interrupted program.
}

// *****************************************************************************
// Interrupt Service Routine
// *****************************************************************************
#pragma interrupt high_isr
void high_isr(void)
{
	if(INTCONbits.TMR0IE && INTCONbits.TMR0IF) // Timer 0 IR ?
	{
		INTCONbits.TMR0IE = 0;
		INTCONbits.TMR0IF = 0;
		Messen_();
		INTCONbits.TMR0IE = 1;
		return;
	}

	while(1)	{;} //??? endless loop
}	


#pragma code
/////////////////////////////////////////////////////////////////////////
//                                MAIN                                 //
/////////////////////////////////////////////////////////////////////////
void main(void)
{
	int i,j;
	char debug;
	
	SysInit_();
	lcd_init();

	FieldsInit();
	startup();

	while(1)
	{
		Schaufel_1(Schaufeln.B0);
		Schaufel_2(Schaufeln.B1);
		Schaufel_3(Schaufeln.B2);
		Schaufel_4(Schaufeln.B3);
		Schaufel_5(Schaufeln.B4);
		Schaufel_6(Schaufeln.B5);
		Schaufel_7(Schaufeln.B6);
		Schaufel_8(Schaufeln.B7);
		Schaufel_9(Schaufeln.B8);
		Schaufel_10(Schaufeln.B9);
		Schaufel_11(Schaufeln.B10);
		Schaufel_12(Schaufeln.B11);
		Schaufel_13(Schaufeln.B12);
		Schaufel_14(Schaufeln.B13);
		Schaufel_15(Schaufeln.B14);
		Schaufel_16(Schaufeln.B15);
		
		for (j=0; j<=7;j++)
		{	
			lcd_command(DISP_PGADDR j);			//Page adress set
			lcd_command(DISP_CADDRUP 0);			// Column adress low
			lcd_command(DISP_CADDRLW 0);			// Column adress high
		
			for (i=0; i<=33; i++)		//Spalte
			{
				lcd_wrdata(0x00);		//bertragung Daten	
			}
					
			for (i=0; i<=64; i++)		//Spalte
			{						 
				lcd_wrdata(Feld[i][j]._byte);		//bertragung Daten	
			}
		}
	}
}
/////////////////////////////////////////////////////////////////////////
//                              Messung                                //
/////////////////////////////////////////////////////////////////////////

void Messen_(void)
{
	i = 4;							// Werte setzen fr die folgende Schleife.
	X_WertM.WRD = 0;					
	while(i)
	{
		SetChanADC( ADC_CH0 );		// Kanal fr den X-Wert whlen
		Delay10TCYx( 5 ); 			// 50 Zyklen warten
		ConvertADC(); 				// Start der AD-conversion
		while( BusyADC() ); 		// Wartet bis die Wandlung beendet ist
		X_WertM.WRD += ReadADC(); 	// Speichern des Ergrbnisses
		i--;
	}	
	_asm 							// Teilen des Ergebnisses durch 4
		bcf STATUS,0,ACCESS 		// Carry-Bit lschen
		rrcf X_WertM+1,1,ACCESS		// Rotieren (mit Carry-bit) des High-Byte von X_WertM
		rrcf X_WertM,1,ACCESS 		// Rotieren des Low-Byte
		bcf STATUS,0,ACCESS			 
		rrcf X_WertM+1,1,ACCESS
		rrcf X_WertM,1,ACCESS 
	_endasm;

	i = 4;
	Y_WertM.WRD = 0;
	while(i)
	{
		SetChanADC( ADC_CH1 );		// Kanal fr den Y-Wert whlen
		Delay10TCYx( 5 ); 			// 50 Zyklen warten
		ConvertADC(); 				// Start der AD-conversion
		while( BusyADC() ); 		// Wartet bis die Wandlung beendet ist
		Y_WertM.WRD += ReadADC(); 	// Speichern des Ergrbnisses
		i--;
	}	
	_asm 							// Teilen des Ergebnisses durch 4
		bcf STATUS,0,ACCESS 		// Carry-Bit lschen
		rrcf Y_WertM+1,1,ACCESS		// Rotieren (mit Carry-bit) des High-Byte von X_WertM
		rrcf Y_WertM,1,ACCESS 		// Rotieren des Low-Byte
		bcf STATUS,0,ACCESS 		
		rrcf Y_WertM+1,1,ACCESS
		rrcf Y_WertM,1,ACCESS 
	_endasm;

	if( PORTAbits.RA5 == 0 )			//berprfung Taster auf Gnd
	{	
		X_Offset = 622 - X_WertM.WRD;	// X_Offset berechnen
		Y_Offset = 622 - Y_WertM.WRD;	// Y_Offset berechnen
	}
	if(PORTAbits.RA4 == 1 )			//Portabfrage
	{
		X_Kali.WRD = 622 - X_WertM.WRD;		// Berechnung des Kalibrierwertes
		Y_Kali.WRD = 622 - Y_WertM.WRD;		// Berechnung des Kalibrierwertes
	}

		EECON1bits.EEPGD = 0; 		/* WRITE step #1 */
		EECON1bits.WREN = 1; 		/* WRITE step #2 */
		EEADR = 0x00; 				/* WRITE step #3 */
		EEDATA = X_Kali.LB;	 		/* WRITE step #4 */
		EECON2 = 0x55; 				/* WRITE step #5 */
		EECON2 = 0xaa; 				/* WRITE step #6 */
		EECON1bits.WR = 1; 			/* WRITE step #7 */
		while (!PIR2bits.EEIF) 		/* WRITE step #8 */
		;
		PIR2bits.EEIF = 0; 			/* WRITE step #9 */

		EECON1bits.EEPGD = 0; 		/* WRITE step #1 */
		EECON1bits.WREN = 1; 		/* WRITE step #2 */
		EEADR = 0x01; 				/* WRITE step #3 */
		EEDATA = X_Kali.HB;	 		/* WRITE step #4 */
		EECON2 = 0x55; 				/* WRITE step #5 */
		EECON2 = 0xaa; 				/* WRITE step #6 */
		EECON1bits.WR = 1; 			/* WRITE step #7 */
		while (!PIR2bits.EEIF) 		/* WRITE step #8 */
		;
		PIR2bits.EEIF = 0; 			/* WRITE step #9 */


		EECON1bits.EEPGD = 0; 		/* WRITE step #1 */
		EECON1bits.WREN = 1; 		/* WRITE step #2 */
		EEADR = 0x02; 				/* WRITE step #3 */
		EEDATA = Y_Kali.LB;	 		/* WRITE step #4 */
		EECON2 = 0x55; 				/* WRITE step #5 */
		EECON2 = 0xaa; 				/* WRITE step #6 */
		EECON1bits.WR = 1; 			/* WRITE step #7 */
		while (!PIR2bits.EEIF) 		/* WRITE step #8 */
		;
		PIR2bits.EEIF = 0; 			/* WRITE step #9 */

		EECON1bits.EEPGD = 0; 		/* WRITE step #1 */
		EECON1bits.WREN = 1; 		/* WRITE step #2 */
		EEADR = 0x03; 				/* WRITE step #3 */
		EEDATA = Y_Kali.HB;	 		/* WRITE step #4 */
		EECON2 = 0x55; 				/* WRITE step #5 */
		EECON2 = 0xaa; 				/* WRITE step #6 */
		EECON1bits.WR = 1; 			/* WRITE step #7 */
		while (!PIR2bits.EEIF) 		/* WRITE step #8 */
		;
		PIR2bits.EEIF = 0; 			/* WRITE step #9 */
		//}


	X_WertR = X_WertM.WRD + X_Kali.WRD + X_Offset - 622;		// Berechnung der Rechenwerte von X und Y
	Y_WertR = Y_WertM.WRD + Y_Kali.WRD + Y_Offset - 622;
	RechenW = ((float)X_WertR * (float)X_WertR) + ((float)Y_WertR * (float)Y_WertR);		

	StartW = 2;									// Berechnung der Wurzel mittels Nherung
	i = 10;
	while (i)
	{
	ZErg = RechenW / StartW;
	StartW = (ZErg + StartW) / 2;
	i--;
	}	
	Neigung = StartW;
	

	WinkelR = (float)Y_WertR / (float)X_WertR;		//	Berechnung des Winkels
	Winkel = atan( WinkelR );

	WinkelG = (Winkel * 180) / PI; 					// Umrechnung des Winkels in Grad

	if ( X_WertR == 0 ) X_WertR = 1;				// Verhindern, dass durch Null geteilt wird
	if ( Y_WertR == 0 ) Y_WertR = 1;
	if ( X_WertR < 0 )								// Abfrage des Quadranten und Anpassung, damit Werte von 0 bis 360 entstehen.
		{ 
		if ( Y_WertR < 0 ) WinkelE = WinkelG;
		if ( Y_WertR > 0 ) WinkelE = 360 + WinkelG; 
		}
	if ( X_WertR > 0 )
		{
		WinkelE = 180 + WinkelG; 
		}

		WinkelE += 270;
		if(WinkelE > 360)
			WinkelE -= 360;
	
		if 		( Neigung <= 4 ) 	Schaufeln.WRD = 0b1111111111111111 ;	// Der Neigung wird eine Schaufel-Kombination zugewiesen.
		else if ( Neigung <= 10 ) 	Schaufeln.WRD = 0b1111111101111111 ; 
		else if ( Neigung <= 16 ) 	Schaufeln.WRD = 0b1111111000111111 ;
		else if ( Neigung <= 23 ) 	Schaufeln.WRD = 0b1111110000011111 ;
		else if ( Neigung <= 28 )	Schaufeln.WRD = 0b1111100000001111 ;
		else if ( Neigung <= 35 )	Schaufeln.WRD = 0b1111000000000111 ;
		else if ( Neigung <= 78 )	Schaufeln.WRD = 0b1110000000000011 ;
		else if ( Neigung <= 108 )	Schaufeln.WRD = 0b1100000000000001 ;
		else 						Schaufeln.WRD = 0b1000000000000000 ;

				 	 			_asm bcf STATUS,0,ACCESS btfsc Schaufeln,7,ACCESS bsf STATUS,0,ACCESS rlcf Schaufeln+1,1,ACCESS rlcf Schaufeln,1,ACCESS _endasm; // Verschieben der Schaufel-Kombination,
		if ( WinkelE > 11 ) 	_asm bcf STATUS,0,ACCESS btfsc Schaufeln,7,ACCESS bsf STATUS,0,ACCESS rlcf Schaufeln+1,1,ACCESS rlcf Schaufeln,1,ACCESS _endasm; // je nach Winkel.
		if ( WinkelE > 34 ) 	_asm bcf STATUS,0,ACCESS btfsc Schaufeln,7,ACCESS bsf STATUS,0,ACCESS rlcf Schaufeln+1,1,ACCESS rlcf Schaufeln,1,ACCESS _endasm;
		if ( WinkelE > 56 ) 	_asm bcf STATUS,0,ACCESS btfsc Schaufeln,7,ACCESS bsf STATUS,0,ACCESS rlcf Schaufeln+1,1,ACCESS rlcf Schaufeln,1,ACCESS _endasm;
		if ( WinkelE > 79 )		_asm bcf STATUS,0,ACCESS btfsc Schaufeln,7,ACCESS bsf STATUS,0,ACCESS rlcf Schaufeln+1,1,ACCESS rlcf Schaufeln,1,ACCESS _endasm;
		if ( WinkelE > 101 )	_asm bcf STATUS,0,ACCESS btfsc Schaufeln,7,ACCESS bsf STATUS,0,ACCESS rlcf Schaufeln+1,1,ACCESS rlcf Schaufeln,1,ACCESS _endasm;
		if ( WinkelE > 124 )	_asm bcf STATUS,0,ACCESS btfsc Schaufeln,7,ACCESS bsf STATUS,0,ACCESS rlcf Schaufeln+1,1,ACCESS rlcf Schaufeln,1,ACCESS _endasm;
		if ( WinkelE > 146 )	_asm bcf STATUS,0,ACCESS btfsc Schaufeln,7,ACCESS bsf STATUS,0,ACCESS rlcf Schaufeln+1,1,ACCESS rlcf Schaufeln,1,ACCESS _endasm;
		if ( WinkelE > 169 )	_asm bcf STATUS,0,ACCESS btfsc Schaufeln,7,ACCESS bsf STATUS,0,ACCESS rlcf Schaufeln+1,1,ACCESS rlcf Schaufeln,1,ACCESS _endasm;
		if ( WinkelE > 191 )	_asm bcf STATUS,0,ACCESS btfsc Schaufeln,7,ACCESS bsf STATUS,0,ACCESS rlcf Schaufeln+1,1,ACCESS rlcf Schaufeln,1,ACCESS _endasm;
		if ( WinkelE > 214 )	_asm bcf STATUS,0,ACCESS btfsc Schaufeln,7,ACCESS bsf STATUS,0,ACCESS rlcf Schaufeln+1,1,ACCESS rlcf Schaufeln,1,ACCESS _endasm;
		if ( WinkelE > 236 )	_asm bcf STATUS,0,ACCESS btfsc Schaufeln,7,ACCESS bsf STATUS,0,ACCESS rlcf Schaufeln+1,1,ACCESS rlcf Schaufeln,1,ACCESS _endasm;
		if ( WinkelE > 259 )	_asm bcf STATUS,0,ACCESS btfsc Schaufeln,7,ACCESS bsf STATUS,0,ACCESS rlcf Schaufeln+1,1,ACCESS rlcf Schaufeln,1,ACCESS _endasm;
		if ( WinkelE > 281 )	_asm bcf STATUS,0,ACCESS btfsc Schaufeln,7,ACCESS bsf STATUS,0,ACCESS rlcf Schaufeln+1,1,ACCESS rlcf Schaufeln,1,ACCESS _endasm;
		if ( WinkelE > 304 )	_asm bcf STATUS,0,ACCESS btfsc Schaufeln,7,ACCESS bsf STATUS,0,ACCESS rlcf Schaufeln+1,1,ACCESS rlcf Schaufeln,1,ACCESS _endasm;
		if ( WinkelE > 326 )	_asm bcf STATUS,0,ACCESS btfsc Schaufeln,7,ACCESS bsf STATUS,0,ACCESS rlcf Schaufeln+1,1,ACCESS rlcf Schaufeln,1,ACCESS _endasm;
		if ( WinkelE > 349 )	_asm bcf STATUS,0,ACCESS btfsc Schaufeln,7,ACCESS bsf STATUS,0,ACCESS rlcf Schaufeln+1,1,ACCESS rlcf Schaufeln,1,ACCESS _endasm;

}
//##############################################################################
// Initialisierung
//##############################################################################
void SysInit_(void)						// Initialisierung des Systems
{
	INTCONbits.GIE = 0;
	INTCONbits.PEIE = 0;
	
	OSCCON = 0b01110010;
	OpenADC( ADC_FOSC_32 &
			ADC_RIGHT_JUST &
			ADC_20_TAD,
			ADC_CH0 &
			ADC_INT_OFF &
			ADC_VREFPLUS_EXT &
			ADC_VREFMINUS_VSS, 13 );

	

	
	TRISA = 0b00111111;
	TRISB = 0b11000000;
	TRISC = 0b00000000;

	INTCON2bits.NOT_RBPU = 0;


	T0CON = 0b00010000;
	T0CONbits.TMR0ON = 1;


//							// ### setup timer0 (batt-controll system) ###
	INTCON2bits.TMR0IP = 0;
	OpenTimer0( TIMER_INT_ON &
				T0_16BIT &
				T0_SOURCE_INT &
				T0_PS_1_2 );
	T0CONbits.TMR0ON = 1;	
	WriteTimer0(0);
	

	INTCONbits.PEIE = 1;	//   enable peripheral interrupts
	INTCONbits.GIE = 1;		//   enable global interrupts


	X_Offset = 0;			// X_Offset wird Null gesetzt
	Y_Offset = 0;			// Y_Offset wird Null gesetzt

	EECON1bits.CFGS = 0; 	// Zugriff auf FLASH und EEPROM Speicher
	EECON1bits.EEPGD = 0; 	// Zugriff auf EEPROM Speicher
	EEADR = 0x00; 			// Speicheradresse
	EECON1bits.RD = 1; 		// Leseaufforderung
	X_Kali.LB = EEDATA; 	// Speichern ins Low-Byte von X_Kali 

	EECON1bits.CFGS = 0; 	// Zugriff auf FLASH und EEPROM Speicher
	EECON1bits.EEPGD = 0; 	// Zugriff auf EEPROM Speicher
	EEADR = 0x01; 			// Speicheradresse
	EECON1bits.RD = 1; 		// Leseaufforderung
	X_Kali.HB = EEDATA; 	// Speichern ins High-Byte von X_Kali 

	EECON1bits.CFGS = 0; 	// Zugriff auf FLASH und EEPROM Speicher
	EECON1bits.EEPGD = 0; 	// Zugriff auf EEPROM Speicher
	EEADR = 0x02; 			// Speicheradresse
	EECON1bits.RD = 1; 		// Leseaufforderung
	Y_Kali.LB = EEDATA; 	// Speichern ins Low-Byte von Y_Kali 

	EECON1bits.CFGS = 0; 	// Zugriff auf FLASH und EEPROM Speicher
	EECON1bits.EEPGD = 0; 	// Zugriff auf EEPROM Speicher
	EEADR = 0x03; 			// Speicheradresse
	EECON1bits.RD = 1; 		// Leseaufforderung
	Y_Kali.HB = EEDATA; 	// Speichern ins High-Byte von Y_Kali 



	return;
}