//##############################################################################
//	filename:		LCD12864.h
//			
// 	Implements the BTHQ128064AVD-... Communication
//
//##############################################################################
//
//  	Author:			
//  	Company:			HS Ulm
//
//		Revision:			x.x
//		Date:				Dez. 2007
//		Assembled using		MPLAB 8.00 C18 3.14
//
//
//##############################################################################


/** G L O B A L  V A R I A B L E s ********************************************/
//extern ...



//##############################################################################
//	filename:		LCD12864.h
//			
// 	Implements the BTHQ128064AVD-... Communication
//
//##############################################################################
//
//  	Author:			
//  	Company:			HS Ulm
//
//		Revision:			x.x
//		Date:				Dez. 2007
//		Assembled using		MPLAB 8.00 C18 3.14
//
//
//##############################################################################
/* Pin Defining */

#define nRES		LATBbits.LATB2		// low active
#define nCS			LATBbits.LATB1		// low active
#define D_C			LATBbits.LATB0		// data or cmd
#define nWR			LATAbits.LATA7		// low active
#define nRD			LATAbits.LATA6		// low active
//#define DISP_CTRIS	TRISB

#define DISP_DATA	PORTC
#define DISP_DTRIS	TRISC




// display commands
// -1-
#define DISP_ON			0b10101111
#define DISP_OFF		0b10101110
// -2-
#define DISP_STLINE		0b01000000 |		// or 6-bit address
// -3-
#define DISP_PGADDR		0b10110000 |		// or 5-bit address
// -4-
#define DISP_CADDRUP	0b00010000 |		// or 4-bit address (high nibble)
#define DISP_CADDRLW	0b00000000 |		// or 4-bit address	(low nibble)
// -8-
#define DISP_ADCNORM	0b10100000
#define DISP_ADCREV		0b10100001
// -9-
#define DISP_NORMAL		0b10100110
#define DISP_REVERS		0b10100111
// -10-
#define DISP_ALL_ON		0b10100101
#define DISP_ALL_OFF	0b10100100
// -11-
#define DISP_BIAS_9		0b10100010
#define DISP_BIAS_7		0b10100011
// -12-
#define DISP_RdMdWr		0b11100000
// -13-
#define DISP_END		0b11101110
// -14-
#define DISP_RESET		0b11100010
// -15-
#define DISP_COMOUT_N	0b11000000
#define DISP_COMOUT_R	0b11001000
// -16-
#define DISP_PW_CTRL	0b00101000	|		// or 3-bit mode
#define PW_ALL_ON		0b111
#define PW_ALL_OFF		0b000
// -17-
#define DISP_V5_IRRS	0b00100000	|		// or 3-bit ratio
// -18-
#define DISP_EV			0b10000001
#define DISP_EV_LVL		0b11000000	|		// or 6-bit voltage level	
// -19-
#define DISP_STIND_OFF	0b10101100
#define DISP_STIND_ON	0b10101101
#define DISP_STIND_MODE	0b11111100	|		// or 2-bit mode
#define STIND_OFF		0b00
#define STIND_1s		0b01
#define STIND_05s		0b10
#define STIND_ON		0b11
// -20-
// power saver
// -21-
#define DISP_NOP		0b11100011




union displaystatus
{
   struct
   {
       unsigned char free	: 4;
       unsigned char RESET	: 1;
       unsigned char ON_OFF	: 1;
       unsigned char ADC	: 1;
       unsigned char BUSY	: 1;
   };
   unsigned char ALL;
};

union bytebits
{
   struct
   {
       unsigned char _0 : 1;
       unsigned char _1 : 1;
       unsigned char _2 : 1;
       unsigned char _3 : 1;
       unsigned char _4 : 1;
       unsigned char _5 : 1;
       unsigned char _6 : 1;
       unsigned char _7 : 1;
   };
   unsigned char _byte;        // word (or int)
};



/** G L O B A L  V A R I A B L E s ********************************************/
//extern ...

/** G L O B A L  P R O T O T Y P E S ****************************************/
void lcd_command(char cmd);
void lcd_wrdata(char dat);
char lcd_rddata(void);
char lcd_busy(void);
void lcd_init(void);
void clearDisplay(void);


