//##############################################################################
//	filename:		LCD12864.c
//			
// 	Implements the BTHQ128064AVD-... Communication
//
//##############################################################################
//
//  	Author:			
//  	Company:			HS Ulm
//
//		Revision:			x.x
//		Date:				Dez. 2007
//		Assembled using		MPLAB 8.00 C18 3.14
//
//		who?	01.12.2007 	start the project
//		who?	
//
//
//		todo	-
//				- 
//				- 
//				- 
//
//##############################################################################


/** I N C L U D E S ***********************************************************/
#include "p18f2620.h"
#include "delays.h"
#include "LCD12864.h"
#include "Schaufeln.h"


#pragma udata access ACCESSRAM
/** P R I V A T E  V A R I A B L E S ******************************************/
near union displaystatus disp_status;

/** G L O B A L  P R O T O T Y P E S ****************************************/
//void lcd_command(char cmd);
//void lcd_wrdata(char dat);
//char lcd_rddata(void);
//void lcd_init();
//char lcd_busy(void);



/** P R I V A T E  P R O T O T Y P E S ****************************************/
char byte_mirror(char mbyte);



/** F U N C T I O N S *********************************************************/

////////////////////////////////////////////////////////////////////////////////
//                           lcd_command()                                    //
////////////////////////////////////////////////////////////////////////////////
void lcd_init(void)        // intel 8080  	 
{      
	char i, data;

	nCS	= 1;
	nRES = 0;
	D_C = 0;
	nWR = 1;
	nRD= 1;
//	DISP_CTRIS = 0x00;	// cntrl signals direction
	DISP_DTRIS = 0x00;	// data signals direction





	/* Initialisation LCD-Controller ST7565*/
    
    nRES = 1;
	Delay10TCYx( 100);

       
    lcd_command(DISP_RESET);				// Reset
 
//	lcd_command(DISP_BIAS_9);    	 	   	// LCD BIAS ????  SED1565
	lcd_command(DISP_BIAS_7);    	 	   	// LCD BIAS ????  SED1565
	lcd_command(DISP_ADCREV);	          	// ADC=1
    lcd_command(DISP_COMOUT_N);    	        // Common Output Mode Select
    lcd_command(DISP_V5_IRRS 7);			// Resistor ratio
	lcd_command(DISP_EV);              		// electronic volume
	lcd_command(DISP_EV_LVL 32);			// electronic volume value       

	lcd_command(DISP_NORMAL);	            // Display normal
	
//	lcd_command(DISP_ON);

	lcd_command(DISP_ALL_OFF);	      	   	// all dots off (normal)
    lcd_command(DISP_PW_CTRL PW_ALL_ON);	// power circuits 
	
	lcd_command(DISP_ON);
	

	lcd_command(DISP_STLINE 0x00);				// Display Line Start adress 


	clearDisplay();
}

void clearDisplay(void)
{
	int k,j;
	
	for (j=0; j<=7;j++)
			{
			lcd_command(DISP_PGADDR j);				//Page adress set
			lcd_command(DISP_CADDRUP 0);			// Column adress low
			lcd_command(DISP_CADDRLW 0);			// Column adress high
		
					for (k=0; k<=127; k++)		//Spalte
					{
						lcd_wrdata(0x00);		//bertragung Daten	
					}
			}
}	
		
////////////////////////////////////////////////////////////////////////////////
//                           lcd_command()                                    //
////////////////////////////////////////////////////////////////////////////////
void lcd_command(char cmd)        // intel 8080  	 
{      
   	while (lcd_busy());
	DISP_DATA = cmd;
	D_C=0;
	nWR=0;
	nCS=0;
	Nop();
	Nop();
	nCS=1;
	nWR=1;
}


////////////////////////////////////////////////////////////////////////////////
//                             lcd_wrdata()                                     //
////////////////////////////////////////////////////////////////////////////////
void lcd_wrdata(char dat)        // intel 8080  	 
{     
   	while (lcd_busy());
	DISP_DATA=dat;
	D_C=1;
	nWR=0;
	nCS=0;
	Nop();
	Nop();
	nCS=1;
	nWR=1;
}
////////////////////////////////////////////////////////////////////////////////
//                             lcd_rddata()                                     //
////////////////////////////////////////////////////////////////////////////////
char lcd_rddata(void)
{     
	char data;
   	while (lcd_busy());
	DISP_DTRIS = 0xFF;
	D_C=1;          // Register Select
	nRD=0;           // READ
	nCS=0;            // Chip Select
	Nop();
	Nop();
	data = DISP_DATA;
	nCS=1;
	nRD=1;           // Write
	DISP_DTRIS = 0x00;
}

////////////////////////////////////////////////////////////////////////////////
//                             lcd_busy()                                     //
////////////////////////////////////////////////////////////////////////////////
char lcd_busy(void)        // intel 8080  	 
{
	char status;
	
	DISP_DTRIS = 0xFF;
	nRD=0;
	D_C=0;
	nCS=0;
	Nop();
	Nop();
	disp_status.ALL = DISP_DATA;
	nRD=1;
	nCS=1;
	DISP_DTRIS = 0x00;
	Nop();
	Nop();
	if (disp_status.BUSY)
		return 1;
	else
		return 0;
}


