// ******************************************************************************
#include "Schaufeln.h"
#include "LCD12864.h"
#include "delays.h"


/////////////////////////////////////////////////////////////////////////
//                        Pixelaktivierungsfunktionen                   /
/////////////////////////////////////////////////////////////////////////
#pragma udata
union v8bit Feld[72][8];



void FieldsInit(void)
{
	int i,j;

	for (j=0; j<=7;j++)
	{		
		for (i=0; i<=72; i++)		//Spalte
		{
			Feld[i][j]._byte = 0x00;				//0-Matrix
		}
	}
}

void startup(void)
{
	int i,j,k,l;

	for(k=1;k<=16;k++)
	{
		if(k == 1) Schaufel_1(1);
		else if(k == 2) Schaufel_2(1);
		else if(k == 3) Schaufel_3(1);
		else if(k == 4) Schaufel_4(1);
		else if(k == 5) Schaufel_5(1);
		else if(k == 6) Schaufel_6(1);
		else if(k == 7) Schaufel_7(1);
		else if(k == 8) Schaufel_8(1);
		else if(k == 9) Schaufel_9(1);
		else if(k == 10) Schaufel_10(1);
		else if(k == 11) Schaufel_11(1);
		else if(k == 12) Schaufel_12(1);
		else if(k == 13) Schaufel_13(1);
		else if(k == 14) Schaufel_14(1);
		else if(k == 15) Schaufel_15(1);
		else if(k == 16) Schaufel_16(1);

		for (j=0; j<=7;j++)
		{	
			lcd_command(DISP_PGADDR j);				//Page adress set
			lcd_command(DISP_CADDRUP 0);			// Column adress low
			lcd_command(DISP_CADDRLW 0);			// Column adress high
		
			for (i=0; i<=28; i++)		//Spalte
			{
				lcd_wrdata(0x00);		//bertragung Daten	
			}
					
			for (i=0; i<=72; i++)		//Spalte
			{						 
				lcd_wrdata(Feld[i][j]._byte);		//bertragung Daten Matrix 1
			}
		}

		Delay10KTCYx(10);
	}

	Delay10KTCYx(100);    
}


void Schaufel_1(int zustand)
{
//Page 0 Column 6

Feld[49][0].bit2 = zustand;
Feld[49][0].bit3 = zustand;
Feld[49][0].bit4 = zustand;

Feld[50][0].bit2 = zustand;
Feld[50][0].bit3 = zustand;
Feld[50][0].bit4 = zustand;

Feld[51][0].bit3 = zustand;
Feld[51][0].bit4 = zustand;

Feld[52][0].bit4 = zustand;
Feld[52][0].bit5 = zustand;

//Page 0 Column 5

Feld[41][0].bit7 = zustand;

Feld[42][0].bit6 = zustand;
Feld[42][0].bit7 = zustand;

Feld[43][0].bit4 = zustand;
Feld[43][0].bit5 = zustand;
Feld[43][0].bit6 = zustand;
Feld[43][0].bit7 = zustand;

Feld[44][0].bit3 = zustand;
Feld[44][0].bit4 = zustand;
Feld[44][0].bit5 = zustand;
Feld[44][0].bit6 = zustand;
Feld[44][0].bit7 = zustand;

Feld[45][0].bit2 = zustand;
Feld[45][0].bit3 = zustand;
Feld[45][0].bit4 = zustand;
Feld[45][0].bit5 = zustand;
Feld[45][0].bit6 = zustand;
Feld[45][0].bit7 = zustand;

Feld[46][0].bit2 = zustand;
Feld[46][0].bit3 = zustand;
Feld[46][0].bit4 = zustand;
Feld[46][0].bit5 = zustand;
Feld[46][0].bit6 = zustand;

Feld[47][0].bit2 = zustand;
Feld[47][0].bit3 = zustand;
Feld[47][0].bit4 = zustand;
Feld[47][0].bit5 = zustand;
Feld[47][0].bit6 = zustand;

Feld[48][0].bit2 = zustand;
Feld[48][0].bit3 = zustand;
Feld[48][0].bit4 = zustand;
Feld[48][0].bit5 = zustand;

//Page 1 Column 4

Feld[40][1].bit0 = zustand;
Feld[40][1].bit1 = zustand;
Feld[40][1].bit2 = zustand;
Feld[40][1].bit3 = zustand;
Feld[40][1].bit4 = zustand;
Feld[40][1].bit5 = zustand;
Feld[40][1].bit6 = zustand;
Feld[40][1].bit7 = zustand;

//Page 1 Column 5

Feld[41][1].bit0 = zustand;
Feld[41][1].bit1 = zustand;
Feld[41][1].bit2 = zustand;
Feld[41][1].bit3 = zustand;
Feld[41][1].bit4 = zustand;
Feld[41][1].bit5 = zustand;
Feld[41][1].bit6 = zustand;
Feld[41][1].bit7 = zustand;

Feld[42][1].bit0 = zustand;
Feld[42][1].bit1 = zustand;
Feld[42][1].bit2 = zustand;
Feld[42][1].bit3 = zustand;
Feld[42][1].bit4 = zustand;
Feld[42][1].bit5 = zustand;
Feld[42][1].bit6 = zustand;
Feld[42][1].bit7 = zustand;

Feld[43][1].bit0 = zustand;
Feld[43][1].bit1 = zustand;
Feld[43][1].bit2 = zustand;
Feld[43][1].bit3 = zustand;
Feld[43][1].bit4 = zustand;
Feld[43][1].bit5 = zustand;
Feld[43][1].bit6 = zustand;
Feld[43][1].bit7 = zustand;

Feld[44][1].bit0 = zustand;
Feld[44][1].bit1 = zustand;
Feld[44][1].bit2 = zustand;

//Page 2 Column 4

Feld[40][2].bit0 = zustand;
Feld[40][2].bit1 = zustand;

//Page 2 Column 5

Feld[41][2].bit0 = zustand;
Feld[41][2].bit1 = zustand;
Feld[41][2].bit2 = zustand;

Feld[42][2].bit0 = zustand;
Feld[42][2].bit1 = zustand;
Feld[42][2].bit2 = zustand;
Feld[42][2].bit3 = zustand;

Feld[43][2].bit0 = zustand;
Feld[43][2].bit1 = zustand;
Feld[43][2].bit2 = zustand;
Feld[43][2].bit3 = zustand;
Feld[43][2].bit4 = zustand;
Feld[43][2].bit5 = zustand;

Feld[44][2].bit2 = zustand;
Feld[44][2].bit3 = zustand;
Feld[44][2].bit4 = zustand;
Feld[44][2].bit5 = zustand;
Feld[44][2].bit6 = zustand;

Feld[45][2].bit6 = zustand;
}



void Schaufel_2(int zustand)
{
//Page 0 Column 6

Feld[56][0].bit7 = zustand;

//Page 0 Column 7 

Feld[57][0].bit7 = zustand;

Feld[58][0].bit7 = zustand;

//Page1 Column 5

Feld[48][1].bit7 = zustand;

//Page 1 Column 6

Feld[49][1].bit4 = zustand;
Feld[49][1].bit5 = zustand;
Feld[49][1].bit6 = zustand;
Feld[49][1].bit7 = zustand;

Feld[50][1].bit3 = zustand;
Feld[50][1].bit4 = zustand;
Feld[50][1].bit5 = zustand;
Feld[50][1].bit6 = zustand;
Feld[50][1].bit7 = zustand;

Feld[51][1].bit2 = zustand;
Feld[51][1].bit3 = zustand;
Feld[51][1].bit4 = zustand;
Feld[51][1].bit5 = zustand;
Feld[51][1].bit6 = zustand;
Feld[51][1].bit7 = zustand;

Feld[52][1].bit1 = zustand;
Feld[52][1].bit2 = zustand;
Feld[52][1].bit3 = zustand;
Feld[52][1].bit4 = zustand;
Feld[52][1].bit5 = zustand;
Feld[52][1].bit6 = zustand;
Feld[52][1].bit7 = zustand;

Feld[53][1].bit1 = zustand;
Feld[53][1].bit2 = zustand;
Feld[53][1].bit3 = zustand;
Feld[53][1].bit4 = zustand;
Feld[53][1].bit5 = zustand;
Feld[53][1].bit6 = zustand;

Feld[54][1].bit0 = zustand;
Feld[54][1].bit1 = zustand;
Feld[54][1].bit2 = zustand;
Feld[54][1].bit3 = zustand;
Feld[54][1].bit4 = zustand;
Feld[54][1].bit5 = zustand;

Feld[55][1].bit0 = zustand;
Feld[55][1].bit1 = zustand;
Feld[55][1].bit2 = zustand;
Feld[55][1].bit3 = zustand;
Feld[55][1].bit4 = zustand;

Feld[56][1].bit0 = zustand;
Feld[56][1].bit1 = zustand;
Feld[56][1].bit2 = zustand;
Feld[56][1].bit3 = zustand;

//Page 1 Column 7

Feld[57][1].bit0 = zustand;
Feld[57][1].bit1 = zustand;
Feld[57][1].bit2 = zustand;

Feld[58][1].bit0 = zustand;
Feld[58][1].bit1 = zustand;
Feld[58][1].bit2 = zustand;

Feld[59][1].bit0 = zustand;
Feld[59][1].bit1 = zustand;
Feld[59][1].bit2 = zustand;

Feld[60][1].bit0 = zustand;
Feld[60][1].bit1 = zustand;
Feld[60][1].bit2 = zustand;

Feld[61][1].bit0 = zustand;
Feld[61][1].bit1 = zustand;
Feld[61][1].bit2 = zustand;

Feld[62][1].bit1 = zustand;
Feld[62][1].bit2 = zustand;

Feld[63][1].bit2 = zustand;
Feld[63][1].bit3 = zustand;

//Page 2 Colum 5

Feld[47][2].bit3 = zustand;
Feld[47][2].bit4 = zustand;
Feld[47][2].bit5 = zustand;

Feld[48][2].bit0 = zustand;
Feld[48][2].bit1 = zustand;
Feld[48][2].bit2 = zustand;
Feld[48][2].bit3 = zustand;
Feld[48][2].bit4 = zustand;
Feld[48][2].bit5 = zustand;
Feld[48][2].bit6 = zustand;
Feld[48][2].bit7 = zustand;

//Page 2 Colum 6

Feld[49][2].bit0 = zustand;
Feld[49][2].bit1 = zustand;
Feld[49][2].bit2 = zustand;
Feld[49][2].bit3 = zustand;
Feld[49][2].bit4 = zustand;
Feld[49][2].bit5 = zustand;
Feld[49][2].bit6 = zustand;
Feld[49][2].bit7 = zustand;

Feld[50][2].bit0 = zustand;
Feld[50][2].bit1 = zustand;
Feld[50][2].bit2 = zustand;

Feld[51][2].bit0 = zustand;
Feld[51][2].bit1 = zustand;

//Page 3 Column 5

Feld[48][3].bit0 = zustand;
Feld[48][3].bit1 = zustand;

//Page 3 Column 6

Feld[49][3].bit0 = zustand;
}




void Schaufel_3(int zustand)
{
//Page 1 Column 7

Feld[61][1].bit7 = zustand;

Feld[62][1].bit7 = zustand;

Feld[63][1].bit6 = zustand;
Feld[63][1].bit7 = zustand;

Feld[64][1].bit6 = zustand;
Feld[64][1].bit7 = zustand;

//Page 1 Column 8

Feld[65][1].bit6 = zustand;
Feld[65][1].bit7 = zustand;

Feld[66][1].bit7 = zustand;

Feld[67][1].bit7 = zustand;

//Page 2 Column 6

Feld[52][2].bit7 = zustand;

Feld[53][2].bit5 = zustand;
Feld[53][2].bit6 = zustand;
Feld[53][2].bit7 = zustand;

Feld[54][2].bit4 = zustand;
Feld[54][2].bit5 = zustand;
Feld[54][2].bit6 = zustand;
Feld[54][2].bit7 = zustand;

Feld[55][2].bit3 = zustand;
Feld[55][2].bit4 = zustand;
Feld[55][2].bit5 = zustand;
Feld[55][2].bit6 = zustand;
Feld[55][2].bit7 = zustand;

Feld[56][2].bit2 = zustand;
Feld[56][2].bit3 = zustand;
Feld[56][2].bit4 = zustand;
Feld[56][2].bit5 = zustand;
Feld[56][2].bit6 = zustand;
Feld[56][2].bit7 = zustand;

//Page 2 Column 7

Feld[57][2].bit2 = zustand;
Feld[57][2].bit3 = zustand;
Feld[57][2].bit4 = zustand;
Feld[57][2].bit5 = zustand;
Feld[57][2].bit6 = zustand;

Feld[58][2].bit0 = zustand;
Feld[58][2].bit1 = zustand;
Feld[58][2].bit2 = zustand;
Feld[58][2].bit3 = zustand;
Feld[58][2].bit4 = zustand;
Feld[58][2].bit5 = zustand;

Feld[59][2].bit0 = zustand;
Feld[59][2].bit1 = zustand;
Feld[59][2].bit2 = zustand;
Feld[59][2].bit3 = zustand;
Feld[59][2].bit4 = zustand;

Feld[60][2].bit0 = zustand;
Feld[60][2].bit1 = zustand;
Feld[60][2].bit2 = zustand;
Feld[60][2].bit3 = zustand;

Feld[61][2].bit0 = zustand;
Feld[61][2].bit1 = zustand;
Feld[61][2].bit2 = zustand;
Feld[61][2].bit3 = zustand;

Feld[62][2].bit0 = zustand;
Feld[62][2].bit1 = zustand;
Feld[62][2].bit2 = zustand;
Feld[62][2].bit3 = zustand;

Feld[63][2].bit0 = zustand;
Feld[63][2].bit1 = zustand;
Feld[63][2].bit2 = zustand;

Feld[64][2].bit0 = zustand;
Feld[64][2].bit1 = zustand;
Feld[64][2].bit2 = zustand;

//Page 2 Column 8

Feld[65][2].bit0 = zustand;
Feld[65][2].bit1 = zustand;
Feld[65][2].bit2 = zustand;

Feld[66][2].bit0 = zustand;
Feld[66][2].bit1 = zustand;
Feld[66][2].bit2 = zustand;

Feld[67][2].bit0 = zustand;
Feld[67][2].bit1 = zustand;
Feld[67][2].bit2 = zustand;

Feld[68][2].bit0 = zustand;
Feld[68][2].bit1 = zustand;
Feld[68][2].bit2 = zustand;
Feld[68][2].bit3 = zustand;

Feld[69][2].bit0 = zustand;
Feld[69][2].bit1 = zustand;
Feld[69][2].bit2 = zustand;
Feld[69][2].bit3 = zustand;
Feld[69][2].bit4 = zustand;

Feld[70][2].bit2 = zustand;
Feld[70][2].bit3 = zustand;
Feld[70][2].bit4 = zustand;

Feld[71][2].bit3 = zustand;
Feld[71][2].bit4 = zustand;
Feld[71][2].bit5 = zustand;

//Page 3 Column 6

Feld[50][3].bit2 = zustand;
Feld[50][3].bit3 = zustand;
Feld[50][3].bit4 = zustand;
Feld[50][3].bit5 = zustand;

Feld[51][3].bit0 = zustand;
Feld[51][3].bit1 = zustand;
Feld[51][3].bit2 = zustand;
Feld[51][3].bit3 = zustand;
Feld[51][3].bit4 = zustand;

Feld[52][3].bit0 = zustand;
Feld[52][3].bit1 = zustand;
Feld[52][3].bit2 = zustand;
Feld[52][3].bit3 = zustand;
Feld[52][3].bit4 = zustand;

Feld[53][3].bit0 = zustand;
Feld[53][3].bit1 = zustand;
Feld[53][3].bit2 = zustand;

Feld[54][3].bit0 = zustand;
Feld[54][3].bit1 = zustand;

Feld[55][3].bit0 = zustand;
}




void Schaufel_4(int zustand)
{
//Page 3 Column 6

Feld[52][3].bit7 = zustand;

Feld[53][3].bit5 = zustand;
Feld[53][3].bit6 = zustand;
Feld[53][3].bit7 = zustand;

Feld[54][3].bit4 = zustand;
Feld[54][3].bit5 = zustand;
Feld[54][3].bit6 = zustand;
Feld[54][3].bit7 = zustand;

Feld[55][3].bit3 = zustand;
Feld[55][3].bit4 = zustand;
Feld[55][3].bit5 = zustand;
Feld[55][3].bit6 = zustand;
Feld[55][3].bit7 = zustand;

Feld[56][3].bit3 = zustand;
Feld[56][3].bit4 = zustand;
Feld[56][3].bit5 = zustand;
Feld[56][3].bit6 = zustand;

//Page 3 Column 7

Feld[57][3].bit2 = zustand;
Feld[57][3].bit3 = zustand;
Feld[57][3].bit4 = zustand;
Feld[57][3].bit5 = zustand;
Feld[57][3].bit6 = zustand;

Feld[58][3].bit2 = zustand;
Feld[58][3].bit3 = zustand;
Feld[58][3].bit4 = zustand;
Feld[58][3].bit5 = zustand;

Feld[59][3].bit1 = zustand;
Feld[59][3].bit2 = zustand;
Feld[59][3].bit3 = zustand;
Feld[59][3].bit4 = zustand;
Feld[59][3].bit5 = zustand;

Feld[60][3].bit1 = zustand;
Feld[60][3].bit2 = zustand;
Feld[60][3].bit3 = zustand;
Feld[60][3].bit4 = zustand;
Feld[60][3].bit5 = zustand;

Feld[61][3].bit1 = zustand;
Feld[61][3].bit2 = zustand;
Feld[61][3].bit3 = zustand;
Feld[61][3].bit4 = zustand;
Feld[61][3].bit5 = zustand;

Feld[62][3].bit0 = zustand;
Feld[62][3].bit1 = zustand;
Feld[62][3].bit2 = zustand;
Feld[62][3].bit3 = zustand;
Feld[62][3].bit4 = zustand;

Feld[63][3].bit0 = zustand;
Feld[63][3].bit1 = zustand;
Feld[63][3].bit2 = zustand;
Feld[63][3].bit3 = zustand;
Feld[63][3].bit4 = zustand;

Feld[64][3].bit0 = zustand;
Feld[64][3].bit1 = zustand;
Feld[64][3].bit2 = zustand;
Feld[64][3].bit3 = zustand;
Feld[64][3].bit4 = zustand;


//Page 3 Column 8

Feld[65][3].bit0 = zustand;
Feld[65][3].bit1 = zustand;
Feld[65][3].bit2 = zustand;
Feld[65][3].bit3 = zustand;
Feld[65][3].bit4 = zustand;

Feld[66][3].bit0 = zustand;
Feld[66][3].bit1 = zustand;
Feld[66][3].bit2 = zustand;
Feld[66][3].bit3 = zustand;
Feld[66][3].bit4 = zustand;

Feld[67][3].bit0 = zustand;
Feld[67][3].bit1 = zustand;
Feld[67][3].bit2 = zustand;
Feld[67][3].bit3 = zustand;
Feld[67][3].bit4 = zustand;

Feld[68][3].bit0 = zustand;
Feld[68][3].bit1 = zustand;
Feld[68][3].bit2 = zustand;
Feld[68][3].bit3 = zustand;
Feld[68][3].bit4 = zustand;

Feld[69][3].bit0 = zustand;
Feld[69][3].bit1 = zustand;
Feld[69][3].bit2 = zustand;
Feld[69][3].bit3 = zustand;
Feld[69][3].bit4 = zustand;

Feld[70][3].bit1 = zustand;
Feld[70][3].bit2 = zustand;
Feld[70][3].bit3 = zustand;
Feld[70][3].bit4 = zustand;

Feld[71][3].bit1 = zustand;
Feld[71][3].bit2 = zustand;
Feld[71][3].bit3 = zustand;
Feld[71][3].bit4 = zustand;
Feld[71][3].bit5 = zustand;

Feld[72][3].bit2 = zustand;
Feld[72][3].bit3 = zustand;
Feld[72][3].bit4 = zustand;
Feld[72][3].bit5 = zustand;
Feld[72][3].bit6 = zustand;
Feld[72][3].bit7 = zustand;

//Page 4 Column 6

Feld[50][4].bit1 = zustand;

Feld[51][4].bit0 = zustand;
Feld[51][4].bit1 = zustand;

Feld[52][4].bit0 = zustand;
Feld[52][4].bit1 = zustand;

Feld[53][4].bit0 = zustand;

//Page 4 Column 8

Feld[72][1].bit0 = zustand;
}



void Schaufel_5(int zustand)
{
//Page 4 Column 6


Feld[49][4].bit4 = zustand;
Feld[49][4].bit5 = zustand;

Feld[50][4].bit3 = zustand;
Feld[50][4].bit4 = zustand;
Feld[50][4].bit5 = zustand;

Feld[51][4].bit3 = zustand;
Feld[51][4].bit4 = zustand;

Feld[52][4].bit3 = zustand;
Feld[52][4].bit4 = zustand;

Feld[53][4].bit2 = zustand;
Feld[53][4].bit3 = zustand;
Feld[53][4].bit4 = zustand;

Feld[54][4].bit2 = zustand;
Feld[54][4].bit3 = zustand;
Feld[54][4].bit4 = zustand;

Feld[55][4].bit2 = zustand;
Feld[55][4].bit3 = zustand;

Feld[56][4].bit1 = zustand;
Feld[56][4].bit2 = zustand;
Feld[56][4].bit3 = zustand;

//Page 4 Column 7

Feld[57][4].bit1 = zustand;
Feld[57][4].bit2 = zustand;
Feld[57][4].bit3 = zustand;

Feld[58][4].bit1 = zustand;
Feld[58][4].bit2 = zustand;
Feld[58][4].bit3 = zustand;

Feld[59][4].bit1 = zustand;
Feld[59][4].bit2 = zustand;
Feld[59][4].bit3 = zustand;

Feld[60][4].bit1 = zustand;
Feld[60][4].bit2 = zustand;
Feld[60][4].bit3 = zustand;

Feld[61][4].bit1 = zustand;
Feld[61][4].bit2 = zustand;
Feld[61][4].bit3 = zustand;
Feld[61][4].bit4 = zustand;

Feld[62][4].bit1 = zustand;
Feld[62][4].bit2 = zustand;
Feld[62][4].bit3 = zustand;
Feld[62][4].bit4 = zustand;

Feld[63][4].bit1 = zustand;
Feld[63][4].bit2 = zustand;
Feld[63][4].bit3 = zustand;
Feld[63][4].bit4 = zustand;

Feld[64][4].bit1 = zustand;
Feld[64][4].bit2 = zustand;
Feld[64][4].bit3 = zustand;
Feld[64][4].bit4 = zustand;

//Page 4 Column 8

Feld[65][4].bit1 = zustand;
Feld[65][4].bit2 = zustand;
Feld[65][4].bit3 = zustand;
Feld[65][4].bit4 = zustand;
Feld[65][4].bit5 = zustand;

Feld[66][4].bit2 = zustand;
Feld[66][4].bit3 = zustand;
Feld[66][4].bit4 = zustand;
Feld[66][4].bit5 = zustand;

Feld[67][4].bit2 = zustand;
Feld[67][4].bit3 = zustand;
Feld[67][4].bit4 = zustand;
Feld[67][4].bit5 = zustand;
Feld[67][4].bit6 = zustand;

Feld[68][4].bit2 = zustand;
Feld[68][4].bit3 = zustand;
Feld[68][4].bit4 = zustand;
Feld[68][4].bit5 = zustand;
Feld[68][4].bit6 = zustand;
Feld[68][4].bit7 = zustand;

Feld[69][4].bit3 = zustand;
Feld[69][4].bit4 = zustand;
Feld[69][4].bit5 = zustand;
Feld[69][4].bit6 = zustand;
Feld[69][4].bit7 = zustand;

Feld[70][4].bit3 = zustand;
Feld[70][4].bit4 = zustand;
Feld[70][4].bit5 = zustand;
Feld[70][4].bit6 = zustand;
Feld[70][4].bit7 = zustand;

Feld[71][4].bit4 = zustand;
Feld[71][4].bit5 = zustand;
Feld[71][4].bit6 = zustand;
Feld[71][4].bit7 = zustand;

Feld[72][4].bit5 = zustand;
Feld[72][4].bit6 = zustand;
Feld[72][4].bit7 = zustand;

//Page 5 Column 8

Feld[69][5].bit3 = zustand;
Feld[70][5].bit2 = zustand;
Feld[70][5].bit3 = zustand;

Feld[71][5].bit0 = zustand;
Feld[71][5].bit1 = zustand;
Feld[71][5].bit2 = zustand;
Feld[71][5].bit3 = zustand;

Feld[72][5].bit0 = zustand;
Feld[72][5].bit1 = zustand;
Feld[72][5].bit2 = zustand;

}



void Schaufel_6(int zustand)
{
//Page 4 Column 5

Feld[46][4].bit7 = zustand;

Feld[47][4].bit7 = zustand;

Feld[48][4].bit7 = zustand;

//Page 4 Column 6

Feld[49][4].bit7 = zustand;

Feld[50][4].bit7 = zustand;

Feld[51][4].bit7 = zustand;

Feld[52][4].bit6 = zustand;
Feld[52][4].bit7 = zustand;

Feld[53][4].bit6 = zustand;
Feld[53][4].bit7 = zustand;

Feld[54][4].bit7 = zustand;

Feld[55][4].bit7 = zustand;

Feld[56][4].bit7 = zustand;

//Page 4 Column 7

Feld[57][4].bit7 = zustand;

//Page 5 Column 5

Feld[46][5].bit0 = zustand;

Feld[47][5].bit0 = zustand;
Feld[47][5].bit1 = zustand;

Feld[48][5].bit0 = zustand;
Feld[48][5].bit1 = zustand;

//Page 5 Column 6

Feld[49][5].bit0 = zustand;
Feld[49][5].bit1 = zustand;

Feld[50][5].bit0 = zustand;
Feld[50][5].bit1 = zustand;

Feld[51][5].bit0 = zustand;
Feld[51][5].bit1 = zustand;

Feld[52][5].bit0 = zustand;
Feld[52][5].bit1 = zustand;

Feld[53][5].bit0 = zustand;
Feld[53][5].bit1 = zustand;
Feld[53][5].bit2 = zustand;

Feld[54][5].bit0 = zustand;
Feld[54][5].bit1 = zustand;
Feld[54][5].bit2 = zustand;

Feld[55][5].bit0 = zustand;
Feld[55][5].bit1 = zustand;
Feld[55][5].bit2 = zustand;

Feld[56][5].bit0 = zustand;
Feld[56][5].bit1 = zustand;
Feld[56][5].bit2 = zustand;
Feld[56][5].bit3 = zustand;

//Page 5 Column 7

Feld[57][5].bit0 = zustand;
Feld[57][5].bit1 = zustand;
Feld[57][5].bit2 = zustand;
Feld[57][5].bit3 = zustand;

Feld[58][5].bit0 = zustand;
Feld[58][5].bit1 = zustand;
Feld[58][5].bit2 = zustand;
Feld[58][5].bit3 = zustand;
Feld[58][5].bit4 = zustand;

Feld[59][5].bit0 = zustand;
Feld[59][5].bit1 = zustand;
Feld[59][5].bit2 = zustand;
Feld[59][5].bit3 = zustand;
Feld[59][5].bit4 = zustand;

Feld[60][5].bit0 = zustand;
Feld[60][5].bit1 = zustand;
Feld[60][5].bit2 = zustand;
Feld[60][5].bit3 = zustand;
Feld[60][5].bit4 = zustand;
Feld[60][5].bit5 = zustand;

Feld[61][5].bit1 = zustand;
Feld[61][5].bit2 = zustand;
Feld[61][5].bit3 = zustand;
Feld[61][5].bit4 = zustand;
Feld[61][5].bit5 = zustand;

Feld[62][5].bit2 = zustand;
Feld[62][5].bit3 = zustand;
Feld[62][5].bit4 = zustand;
Feld[62][5].bit5 = zustand;
Feld[62][5].bit6 = zustand;

Feld[63][5].bit3 = zustand;
Feld[63][5].bit4 = zustand;
Feld[63][5].bit5 = zustand;
Feld[63][5].bit6 = zustand;
Feld[63][5].bit7 = zustand;

Feld[64][5].bit4 = zustand;
Feld[64][5].bit5 = zustand;
Feld[64][5].bit6 = zustand;
Feld[64][5].bit7 = zustand;

//Page 5 Column 8

Feld[65][5].bit5 = zustand;
Feld[65][5].bit6 = zustand;
Feld[65][5].bit7 = zustand;

Feld[66][5].bit6 = zustand;
Feld[66][5].bit7 = zustand;

Feld[67][5].bit7 = zustand;

//Page 6 Column 7

Feld[62][6].bit4 = zustand;
Feld[62][6].bit5 = zustand;

Feld[63][6].bit0 = zustand;
Feld[63][6].bit3 = zustand;
Feld[63][6].bit4 = zustand;
Feld[63][6].bit5 = zustand;

Feld[64][6].bit0 = zustand;
Feld[64][6].bit1 = zustand;
Feld[64][6].bit2 = zustand;
Feld[64][6].bit3 = zustand;
Feld[64][6].bit4 = zustand;

//Page 6 Column 8

Feld[65][6].bit0 = zustand;
Feld[65][6].bit1 = zustand;
Feld[65][6].bit2 = zustand;
Feld[65][6].bit3 = zustand;

Feld[66][6].bit0 = zustand;
Feld[66][6].bit1 = zustand;
Feld[66][6].bit2 = zustand;

Feld[67][6].bit0 = zustand;

}

void Schaufel_7(int zustand)
{
//Page 5 Column 5

Feld[42][5].bit2 = zustand;

Feld[43][5].bit1 = zustand;
Feld[43][5].bit2 = zustand;
Feld[43][5].bit3 = zustand;

Feld[44][5].bit2 = zustand;
Feld[44][5].bit3 = zustand;

Feld[45][5].bit2 = zustand;
Feld[45][5].bit3 = zustand;
Feld[45][5].bit4 = zustand;

Feld[46][5].bit3 = zustand;
Feld[46][5].bit4 = zustand;
Feld[46][5].bit5 = zustand;

Feld[47][5].bit3 = zustand;
Feld[47][5].bit4 = zustand;
Feld[47][5].bit5 = zustand;

Feld[48][5].bit3 = zustand;
Feld[48][5].bit4 = zustand;
Feld[48][5].bit5 = zustand;
Feld[48][5].bit6 = zustand;

//Page 5 Column 6

Feld[49][5].bit4 = zustand;
Feld[49][5].bit5 = zustand;
Feld[49][5].bit6 = zustand;

Feld[50][5].bit4 = zustand;
Feld[50][5].bit5 = zustand;
Feld[50][5].bit6 = zustand;
Feld[50][5].bit7 = zustand;

Feld[51][5].bit5 = zustand;
Feld[51][5].bit6 = zustand;
Feld[51][5].bit7 = zustand;

Feld[52][5].bit5 = zustand;
Feld[52][5].bit6 = zustand;
Feld[52][5].bit7 = zustand;

Feld[53][5].bit6 = zustand;
Feld[53][5].bit7 = zustand;

Feld[54][5].bit7 = zustand;

//Page 6 Column 6

Feld[50][6].bit0 = zustand;

Feld[51][6].bit0 = zustand;
Feld[51][6].bit1 = zustand;

Feld[52][6].bit0 = zustand;
Feld[52][6].bit1 = zustand;
Feld[52][6].bit2 = zustand;

Feld[53][6].bit0 = zustand;
Feld[53][6].bit1 = zustand;
Feld[53][6].bit2 = zustand;
Feld[53][6].bit3 = zustand;
Feld[53][6].bit4 = zustand;
Feld[53][6].bit5 = zustand;

Feld[54][6].bit0 = zustand;
Feld[54][6].bit1 = zustand;
Feld[54][6].bit2 = zustand;
Feld[54][6].bit3 = zustand;
Feld[54][6].bit4 = zustand;
Feld[54][6].bit5 = zustand;
Feld[54][6].bit6 = zustand;
Feld[54][6].bit7 = zustand;

Feld[55][6].bit0 = zustand;
Feld[55][6].bit1 = zustand;
Feld[55][6].bit2 = zustand;
Feld[55][6].bit3 = zustand;
Feld[55][6].bit4 = zustand;
Feld[55][6].bit5 = zustand;
Feld[55][6].bit6 = zustand;
Feld[55][6].bit7 = zustand;

Feld[56][6].bit2 = zustand;
Feld[56][6].bit3 = zustand;
Feld[56][6].bit4 = zustand;
Feld[56][6].bit5 = zustand;
Feld[56][6].bit6 = zustand;
Feld[56][6].bit7 = zustand;

//Page 6 Column 7

Feld[57][6].bit2 = zustand;
Feld[57][6].bit3 = zustand;
Feld[57][6].bit4 = zustand;
Feld[57][6].bit5 = zustand;
Feld[57][6].bit6 = zustand;
Feld[57][6].bit7 = zustand;

Feld[58][6].bit4 = zustand;
Feld[58][6].bit5 = zustand;
Feld[58][6].bit6 = zustand;
Feld[58][6].bit7 = zustand;

//Page 7 Column 6

Feld[51][7].bit3 = zustand;
Feld[52][7].bit2 = zustand;
Feld[52][7].bit3 = zustand;

Feld[53][7].bit1 = zustand;
Feld[53][7].bit2 = zustand;
Feld[53][7].bit3 = zustand;

Feld[54][7].bit0 = zustand;
Feld[54][7].bit1 = zustand;
Feld[54][7].bit2 = zustand;

Feld[55][7].bit0 = zustand;
Feld[55][7].bit1 = zustand;
Feld[55][7].bit2 = zustand;

Feld[56][7].bit0 = zustand;
Feld[56][7].bit1 = zustand;
Feld[56][7].bit2 = zustand;

//Page 7 Column 7

Feld[57][7].bit0 = zustand;
Feld[57][7].bit1 = zustand;
}




void Schaufel_8(int zustand)
{
//Page 5 Column 4

Feld[37][5].bit1 = zustand;
Feld[37][5].bit2 = zustand;
Feld[37][5].bit3 = zustand;

Feld[38][5].bit2 = zustand;
Feld[38][5].bit3 = zustand;
Feld[38][5].bit4 = zustand;

Feld[39][5].bit3 = zustand;
Feld[39][5].bit4 = zustand;
Feld[39][5].bit5 = zustand;

Feld[40][5].bit4 = zustand;
Feld[40][5].bit5 = zustand;
Feld[40][5].bit6 = zustand;
Feld[40][5].bit7 = zustand;

//Page 5 Column 5

Feld[41][5].bit5 = zustand;
Feld[41][5].bit6 = zustand;
Feld[41][5].bit7 = zustand;

Feld[42][5].bit5 = zustand;
Feld[42][5].bit6 = zustand;
Feld[42][5].bit7 = zustand;

Feld[43][5].bit6 = zustand;
Feld[43][5].bit7 = zustand;

Feld[44][5].bit7 = zustand;

//Page 6 Column 5

Feld[42][6].bit0 = zustand;
Feld[42][6].bit1 = zustand;
Feld[42][6].bit2 = zustand;

Feld[43][6].bit0 = zustand;
Feld[43][6].bit1 = zustand;
Feld[43][6].bit2 = zustand;
Feld[43][6].bit3 = zustand;
Feld[43][6].bit4 = zustand;
Feld[43][6].bit5 = zustand;
Feld[43][6].bit6 = zustand;
Feld[43][6].bit7 = zustand;

Feld[44][6].bit0 = zustand;
Feld[44][6].bit1 = zustand;
Feld[44][6].bit2 = zustand;
Feld[44][6].bit3 = zustand;
Feld[44][6].bit4 = zustand;
Feld[44][6].bit5 = zustand;
Feld[44][6].bit6 = zustand;
Feld[44][6].bit7 = zustand;

Feld[45][6].bit1 = zustand;
Feld[45][6].bit2 = zustand;
Feld[45][6].bit3 = zustand;
Feld[45][6].bit4 = zustand;
Feld[45][6].bit5 = zustand;
Feld[45][6].bit6 = zustand;
Feld[45][6].bit7 = zustand;

Feld[46][6].bit2 = zustand;
Feld[46][6].bit3 = zustand;
Feld[46][6].bit4 = zustand;
Feld[46][6].bit5 = zustand;
Feld[46][6].bit6 = zustand;
Feld[46][6].bit7 = zustand;

Feld[47][6].bit3 = zustand;
Feld[47][6].bit4 = zustand;
Feld[47][6].bit5 = zustand;
Feld[47][6].bit6 = zustand;
Feld[47][6].bit7 = zustand;

//Page 7 Column 4

Feld[38][7].bit5 = zustand;

Feld[39][7].bit4 = zustand;
Feld[39][7].bit5 = zustand;

Feld[40][7].bit4 = zustand;
Feld[40][7].bit5 = zustand;

//Page 7 Column 5

Feld[41][7].bit3 = zustand;
Feld[41][7].bit4 = zustand;
Feld[41][7].bit5 = zustand;

Feld[42][7].bit3 = zustand;
Feld[42][7].bit4 = zustand;
Feld[42][7].bit5 = zustand;

Feld[43][7].bit0 = zustand;
Feld[43][7].bit1 = zustand;
Feld[43][7].bit2 = zustand;
Feld[43][7].bit3 = zustand;
Feld[43][7].bit4 = zustand;
Feld[43][7].bit5 = zustand;

Feld[44][7].bit0 = zustand;
Feld[44][7].bit1 = zustand;
Feld[44][7].bit2 = zustand;
Feld[44][7].bit3 = zustand;
Feld[44][7].bit4 = zustand;
Feld[44][7].bit5 = zustand;

Feld[45][7].bit0 = zustand;
Feld[45][7].bit1 = zustand;
Feld[45][7].bit2 = zustand;
Feld[45][7].bit3 = zustand;
Feld[45][7].bit4 = zustand;

Feld[46][7].bit0 = zustand;
Feld[46][7].bit1 = zustand;
Feld[46][7].bit2 = zustand;
Feld[46][1].bit3 = zustand;

Feld[47][7].bit0 = zustand;
Feld[47][7].bit1 = zustand;
Feld[47][7].bit2 = zustand;
}



void Schaufel_9(int zustand)
{
//Page 5 Column 3

Feld[31][5].bit0 = zustand;

Feld[32][5].bit0 = zustand;
Feld[32][5].bit1 = zustand;

//Page 5 Column 4

Feld[33][5].bit0 = zustand;
Feld[33][5].bit1 = zustand;
Feld[33][5].bit2 = zustand;
Feld[33][5].bit3 = zustand;

Feld[34][5].bit2 = zustand;
Feld[34][5].bit3 = zustand;
Feld[34][5].bit4 = zustand;
Feld[34][5].bit5 = zustand;
Feld[34][5].bit6 = zustand;
Feld[34][5].bit7 = zustand;

Feld[35][5].bit4 = zustand;
Feld[35][5].bit5 = zustand;
Feld[35][5].bit6 = zustand;
Feld[35][5].bit7 = zustand;

Feld[36][5].bit6 = zustand;
Feld[36][5].bit7 = zustand;

Feld[37][5].bit7 = zustand;

//Page 6 Column 3

Feld[32][6].bit7 = zustand;

//Page 6 Column 4

Feld[33][6].bit4 = zustand;
Feld[33][6].bit5 = zustand;
Feld[33][6].bit6 = zustand;
Feld[33][6].bit7 = zustand;

Feld[34][6].bit0 = zustand;
Feld[34][6].bit1 = zustand;
Feld[34][6].bit2 = zustand;
Feld[34][6].bit3 = zustand;
Feld[34][6].bit4 = zustand;
Feld[34][6].bit5 = zustand;
Feld[34][6].bit6 = zustand;
Feld[34][6].bit7 = zustand;

Feld[35][6].bit0 = zustand;
Feld[35][6].bit1 = zustand;
Feld[35][6].bit2 = zustand;
Feld[35][6].bit3 = zustand;
Feld[35][6].bit4 = zustand;
Feld[35][6].bit5 = zustand;
Feld[35][6].bit6 = zustand;
Feld[35][6].bit7 = zustand;

Feld[36][6].bit0 = zustand;
Feld[36][6].bit1 = zustand;
Feld[36][6].bit2 = zustand;
Feld[36][6].bit3 = zustand;
Feld[36][6].bit4 = zustand;
Feld[36][6].bit5 = zustand;
Feld[36][6].bit6 = zustand;
Feld[36][6].bit7 = zustand;

Feld[37][6].bit0 = zustand;
Feld[37][6].bit1 = zustand;
Feld[37][6].bit2 = zustand;
Feld[37][6].bit3 = zustand;
Feld[37][6].bit4 = zustand;
Feld[37][6].bit5 = zustand;
Feld[37][6].bit6 = zustand;
Feld[37][6].bit7 = zustand;

//Page 7 Column 3

Feld[25][7].bit2 = zustand;
Feld[25][7].bit3 = zustand;

Feld[26][7].bit3 = zustand;
Feld[26][7].bit4 = zustand;

Feld[27][7].bit3 = zustand;
Feld[27][7].bit4 = zustand;

Feld[28][7].bit3 = zustand;
Feld[28][7].bit4 = zustand;

Feld[29][7].bit2 = zustand;
Feld[29][7].bit3 = zustand;
Feld[29][7].bit4 = zustand;

Feld[30][7].bit1 = zustand;
Feld[30][7].bit2 = zustand;
Feld[30][7].bit3 = zustand;
Feld[30][7].bit4 = zustand;

Feld[31][7].bit0 = zustand;
Feld[31][7].bit1 = zustand;
Feld[31][7].bit2 = zustand;
Feld[31][7].bit3 = zustand;
Feld[31][7].bit4 = zustand;

Feld[32][7].bit0 = zustand;
Feld[32][7].bit1 = zustand;
Feld[32][7].bit2 = zustand;
Feld[32][7].bit3 = zustand;
Feld[32][7].bit4 = zustand;

//Page 7 Column 4

Feld[33][7].bit0 = zustand;
Feld[33][7].bit1 = zustand;
Feld[33][7].bit2 = zustand;
Feld[33][7].bit3 = zustand;

Feld[34][7].bit0 = zustand;
Feld[34][7].bit1 = zustand;
Feld[34][7].bit2 = zustand;
Feld[34][7].bit3 = zustand;

Feld[35][7].bit0 = zustand;
Feld[35][7].bit1 = zustand;
}



void Schaufel_10(int zustand)
{
//Page 4 Column 3

Feld[28][4].bit6 = zustand;
Feld[28][4].bit7 = zustand;

Feld[29][4].bit5 = zustand;
Feld[29][4].bit6 = zustand;
Feld[29][4].bit7 = zustand;

//Page 5 Column 3

Feld[25][5].bit7 = zustand;

Feld[26][5].bit5 = zustand;
Feld[26][5].bit6 = zustand;
Feld[26][5].bit7 = zustand;

Feld[27][5].bit5 = zustand;
Feld[27][5].bit6 = zustand;
Feld[27][5].bit7 = zustand;

Feld[28][5].bit0 = zustand;
Feld[28][5].bit1 = zustand;
Feld[28][5].bit2 = zustand;
Feld[28][5].bit3 = zustand;
Feld[28][5].bit4 = zustand;
Feld[28][5].bit5 = zustand;
Feld[28][5].bit6 = zustand;
Feld[28][5].bit7 = zustand;

Feld[29][5].bit0 = zustand;
Feld[29][5].bit1 = zustand;
Feld[29][5].bit2 = zustand;
Feld[29][5].bit3 = zustand;
Feld[29][5].bit4 = zustand;
Feld[29][5].bit5 = zustand;
Feld[29][5].bit6 = zustand;
Feld[29][5].bit7 = zustand;

Feld[30][5].bit2 = zustand;
Feld[30][5].bit3 = zustand;
Feld[30][5].bit4 = zustand;

//Page 6 Column 1

Feld[14][6].bit3 = zustand;
Feld[14][6].bit4 = zustand;
Feld[14][6].bit5 = zustand;

Feld[15][6].bit4 = zustand;
Feld[15][6].bit5 = zustand;
Feld[15][6].bit6 = zustand;

Feld[16][6].bit5 = zustand;
Feld[16][6].bit6 = zustand;
Feld[16][6].bit7 = zustand;

//Page 6 Column 2

Feld[17][6].bit5 = zustand;
Feld[17][6].bit6 = zustand;
Feld[17][6].bit7 = zustand;

Feld[18][6].bit5 = zustand;
Feld[18][6].bit6 = zustand;
Feld[18][6].bit7 = zustand;

Feld[19][6].bit4 = zustand;
Feld[19][6].bit5 = zustand;
Feld[19][6].bit6 = zustand;
Feld[19][6].bit7 = zustand;

Feld[20][6].bit4 = zustand;
Feld[20][6].bit5 = zustand;
Feld[20][6].bit6 = zustand;
Feld[20][6].bit7 = zustand;

Feld[21][6].bit3 = zustand;
Feld[21][6].bit4 = zustand;
Feld[21][6].bit5 = zustand;
Feld[21][6].bit6 = zustand;
Feld[21][6].bit7 = zustand;

Feld[22][6].bit2 = zustand;
Feld[22][6].bit3 = zustand;
Feld[22][6].bit4 = zustand;
Feld[22][6].bit5 = zustand;
Feld[22][6].bit6 = zustand;
Feld[22][6].bit7 = zustand;

Feld[23][6].bit2 = zustand;
Feld[23][6].bit3 = zustand;
Feld[23][6].bit4 = zustand;
Feld[23][6].bit5 = zustand;
Feld[23][6].bit6 = zustand;
Feld[23][6].bit7 = zustand;

Feld[24][6].bit1 = zustand;
Feld[24][6].bit2 = zustand;
Feld[24][6].bit3 = zustand;
Feld[24][6].bit4 = zustand;
Feld[24][6].bit5 = zustand;
Feld[24][6].bit6 = zustand;

//Page 6 Column 3

Feld[25][6].bit0 = zustand;
Feld[25][6].bit1 = zustand;
Feld[25][6].bit2 = zustand;
Feld[25][6].bit3 = zustand;
Feld[25][6].bit4 = zustand;
Feld[25][6].bit5 = zustand;
Feld[25][6].bit6 = zustand;

Feld[26][6].bit0 = zustand;
Feld[26][6].bit1 = zustand;
Feld[26][6].bit2 = zustand;
Feld[26][6].bit3 = zustand;
Feld[26][6].bit4 = zustand;
Feld[26][6].bit5 = zustand;

Feld[27][6].bit0 = zustand;
Feld[27][6].bit1 = zustand;
Feld[27][6].bit2 = zustand;
Feld[27][6].bit3 = zustand;

Feld[28][6].bit0 = zustand;
Feld[28][6].bit1 = zustand;
Feld[28][6].bit2 = zustand;

Feld[29][6].bit0 = zustand;

//Page 7 Column 2

Feld[18][7].bit0 = zustand;

Feld[19][7].bit0 = zustand;

Feld[20][7].bit0 = zustand;
}



void Schaufel_11(int zustand)
{
//Page 4 Column 2

Feld[22][4].bit7 = zustand;

Feld[23][4].bit6 = zustand;
Feld[23][4].bit7 = zustand;

Feld[24][4].bit5 = zustand;
Feld[24][4].bit6 = zustand;
Feld[24][4].bit7 = zustand;

//Page 4 Column 3

Feld[25][4].bit3 = zustand;
Feld[25][4].bit4 = zustand;
Feld[25][4].bit5 = zustand;
Feld[25][4].bit6 = zustand;
Feld[25][4].bit7 = zustand;

Feld[26][4].bit2 = zustand;
Feld[26][4].bit3 = zustand;
Feld[26][4].bit4 = zustand;
Feld[26][4].bit5 = zustand;
Feld[26][4].bit6 = zustand;

Feld[27][4].bit2 = zustand;
Feld[27][4].bit3 = zustand;
Feld[27][4].bit4 = zustand;


//Page 5 Column 0

Feld[6][5].bit2 = zustand;
Feld[6][5].bit3 = zustand;
Feld[6][5].bit4 = zustand;

Feld[7][5].bit3 = zustand;
Feld[7][5].bit4 = zustand;
Feld[7][5].bit5 = zustand;
Feld[7][5].bit6 = zustand;

Feld[8][5].bit4 = zustand;
Feld[8][5].bit5 = zustand;
Feld[8][5].bit6 = zustand;
Feld[8][5].bit7 = zustand;

//Page 5 Column 1

Feld[9][5].bit4 = zustand;
Feld[9][5].bit5 = zustand;
Feld[9][5].bit6 = zustand;
Feld[9][5].bit7 = zustand;

Feld[10][5].bit5 = zustand;
Feld[10][5].bit6 = zustand;
Feld[10][5].bit7 = zustand;

Feld[11][5].bit5 = zustand;
Feld[11][5].bit6 = zustand;
Feld[11][5].bit7 = zustand;

Feld[12][5].bit5 = zustand;
Feld[12][5].bit6 = zustand;
Feld[12][5].bit7 = zustand;

Feld[13][5].bit5 = zustand;
Feld[13][5].bit6 = zustand;
Feld[13][5].bit7 = zustand;

Feld[14][5].bit5 = zustand;
Feld[14][5].bit6 = zustand;
Feld[14][5].bit7 = zustand;

Feld[15][5].bit4 = zustand;
Feld[15][5].bit5 = zustand;
Feld[15][5].bit6 = zustand;
Feld[15][5].bit7 = zustand;

Feld[16][5].bit4 = zustand;
Feld[16][5].bit5 = zustand;
Feld[16][5].bit6 = zustand;
Feld[16][5].bit7 = zustand;

//Page 5 Column 2

Feld[17][5].bit3 = zustand;
Feld[17][5].bit4 = zustand;
Feld[17][5].bit5 = zustand;
Feld[17][5].bit6 = zustand;

Feld[18][5].bit2 = zustand;
Feld[18][5].bit3 = zustand;
Feld[18][5].bit4 = zustand;
Feld[18][5].bit5 = zustand;
Feld[18][5].bit6 = zustand;

Feld[19][5].bit1 = zustand;
Feld[19][5].bit2 = zustand;
Feld[19][5].bit3 = zustand;
Feld[19][5].bit4 = zustand;
Feld[19][5].bit5 = zustand;
Feld[19][5].bit6 = zustand;

Feld[20][5].bit1 = zustand;
Feld[20][5].bit2 = zustand;
Feld[20][5].bit3 = zustand;
Feld[20][5].bit4 = zustand;
Feld[20][5].bit5 = zustand;

Feld[21][5].bit0 = zustand;
Feld[21][5].bit1 = zustand;
Feld[21][5].bit2 = zustand;
Feld[21][5].bit3 = zustand;
Feld[21][5].bit4 = zustand;

Feld[22][5].bit0 = zustand;
Feld[22][5].bit1 = zustand;
Feld[22][5].bit2 = zustand;
Feld[22][5].bit3 = zustand;
Feld[22][5].bit4 = zustand;

Feld[23][5].bit0 = zustand;
Feld[23][5].bit1 = zustand;
Feld[23][5].bit2 = zustand;
Feld[23][5].bit3 = zustand;

Feld[24][5].bit0 = zustand;
Feld[24][5].bit1 = zustand;
Feld[24][5].bit2 = zustand;

//Page 6 Column 1

Feld[11][6].bit0 = zustand;

Feld[12][6].bit0 = zustand;

Feld[13][6].bit0 = zustand;

Feld[14][6].bit0 = zustand;
}



void Schaufel_12(int zustand)
{
//Page 3 Column 0

Feld[4][3].bit7 = zustand;

//Page 3 Column 2

Feld[24][3].bit7 = zustand;

//Page 3 Column 3

Feld[25][3].bit6 = zustand;
Feld[25][3].bit7 = zustand;

Feld[26][3].bit6 = zustand;
Feld[26][3].bit7 = zustand;

Feld[27][3].bit6 = zustand;

//Page 4 Column 0

Feld[3][4].bit1 = zustand;
Feld[3][4].bit2 = zustand;

Feld[4][4].bit0 = zustand;
Feld[4][4].bit1 = zustand;
Feld[4][4].bit2 = zustand;
Feld[4][4].bit3 = zustand;
Feld[4][4].bit4 = zustand;

Feld[5][4].bit0 = zustand;
Feld[5][4].bit1 = zustand;
Feld[5][4].bit2 = zustand;
Feld[5][4].bit3 = zustand;
Feld[5][4].bit4 = zustand;
Feld[5][4].bit5 = zustand;

Feld[6][4].bit2 = zustand;
Feld[6][4].bit3 = zustand;
Feld[6][4].bit4 = zustand;
Feld[6][4].bit5 = zustand;
Feld[6][4].bit6 = zustand;

Feld[7][4].bit3 = zustand;
Feld[7][4].bit4 = zustand;
Feld[7][4].bit5 = zustand;
Feld[7][4].bit6 = zustand;

Feld[8][4].bit3 = zustand;
Feld[8][4].bit4 = zustand;
Feld[8][4].bit5 = zustand;
Feld[8][4].bit6 = zustand;
Feld[8][4].bit7 = zustand;

//Page 4 Column 1

Feld[9][4].bit3 = zustand;
Feld[9][4].bit4 = zustand;
Feld[9][4].bit5 = zustand;
Feld[9][4].bit6 = zustand;
Feld[9][4].bit7 = zustand;

Feld[10][4].bit3 = zustand;
Feld[10][4].bit4 = zustand;
Feld[10][4].bit5 = zustand;
Feld[10][4].bit6 = zustand;
Feld[10][4].bit7 = zustand;

Feld[11][4].bit3 = zustand;
Feld[11][4].bit4 = zustand;
Feld[11][4].bit5 = zustand;
Feld[11][4].bit6 = zustand;
Feld[11][4].bit7 = zustand;

Feld[12][4].bit3 = zustand;
Feld[12][4].bit4 = zustand;
Feld[12][4].bit5 = zustand;
Feld[12][4].bit6 = zustand;
Feld[12][4].bit7 = zustand;

Feld[13][4].bit3 = zustand;
Feld[13][4].bit4 = zustand;
Feld[13][4].bit5 = zustand;
Feld[13][4].bit6 = zustand;
Feld[13][4].bit7 = zustand;

Feld[14][4].bit3 = zustand;
Feld[14][4].bit4 = zustand;
Feld[14][4].bit5 = zustand;
Feld[14][4].bit6 = zustand;
Feld[14][4].bit7 = zustand;

Feld[15][4].bit3 = zustand;
Feld[15][4].bit4 = zustand;
Feld[15][4].bit5 = zustand;
Feld[15][4].bit6 = zustand;

Feld[16][4].bit2 = zustand;
Feld[16][4].bit3 = zustand;
Feld[16][4].bit4 = zustand;
Feld[16][4].bit5 = zustand;

//Page 4 Column 2

Feld[17][4].bit2 = zustand;
Feld[17][4].bit3 = zustand;
Feld[17][4].bit4 = zustand;
Feld[17][4].bit5 = zustand;

Feld[18][4].bit2 = zustand;
Feld[18][4].bit3 = zustand;
Feld[18][4].bit4 = zustand;
Feld[18][4].bit5 = zustand;

Feld[19][4].bit2 = zustand;
Feld[19][4].bit3 = zustand;
Feld[19][4].bit4 = zustand;

Feld[20][4].bit1 = zustand;
Feld[20][4].bit2 = zustand;
Feld[20][4].bit3 = zustand;
Feld[20][4].bit4 = zustand;

Feld[21][4].bit1 = zustand;
Feld[21][4].bit2 = zustand;
Feld[21][4].bit3 = zustand;

Feld[22][4].bit0 = zustand;
Feld[22][4].bit1 = zustand;
Feld[22][4].bit2 = zustand;

Feld[23][4].bit0 = zustand;
Feld[23][4].bit1 = zustand;
Feld[23][4].bit2 = zustand;

Feld[24][4].bit0 = zustand;
Feld[24][4].bit1 = zustand;

//Page 4 Column 3

Feld[25][4].bit0 = zustand;
}



void Schaufel_13(int zustand)
{
//Page 2 Column 0

Feld[5][2].bit5 = zustand;
Feld[5][2].bit6 = zustand;
Feld[5][2].bit7 = zustand;

Feld[6][2].bit4 = zustand;
Feld[6][2].bit5 = zustand;
Feld[6][2].bit6 = zustand;
Feld[6][2].bit7 = zustand;

Feld[7][2].bit4 = zustand;
Feld[7][2].bit7 = zustand;

Feld[8][2].bit4 = zustand;

//Page 3 Column 0

Feld[5][3].bit0 = zustand;
Feld[5][3].bit1 = zustand;
Feld[5][3].bit2 = zustand;

Feld[6][3].bit0 = zustand;
Feld[6][3].bit1 = zustand;
Feld[6][3].bit2 = zustand;
Feld[6][3].bit3 = zustand;

Feld[7][3].bit0 = zustand;
Feld[7][3].bit1 = zustand;
Feld[7][3].bit2 = zustand;
Feld[7][3].bit3 = zustand;
Feld[7][3].bit4 = zustand;

Feld[8][3].bit1 = zustand;
Feld[8][3].bit2 = zustand;
Feld[8][3].bit3 = zustand;
Feld[8][3].bit4 = zustand;
Feld[8][3].bit5 = zustand;

//Page 3 Column 1

Feld[9][3].bit0 = zustand;
Feld[9][3].bit1 = zustand;
Feld[9][3].bit2 = zustand;
Feld[9][3].bit3 = zustand;
Feld[9][3].bit4 = zustand;
Feld[9][3].bit5 = zustand;

Feld[10][3].bit1 = zustand;
Feld[10][3].bit2 = zustand;
Feld[10][3].bit3 = zustand;
Feld[10][3].bit4 = zustand;
Feld[10][3].bit5 = zustand;

Feld[11][3].bit2 = zustand;
Feld[11][3].bit3 = zustand;
Feld[11][3].bit4 = zustand;
Feld[11][3].bit5 = zustand;
Feld[11][3].bit6 = zustand;

Feld[12][3].bit2 = zustand;
Feld[12][3].bit3 = zustand;
Feld[12][3].bit4 = zustand;
Feld[12][3].bit5 = zustand;
Feld[12][3].bit6 = zustand;

Feld[13][3].bit2 = zustand;
Feld[13][3].bit3 = zustand;
Feld[13][3].bit4 = zustand;
Feld[13][3].bit5 = zustand;
Feld[13][3].bit6 = zustand;

Feld[14][3].bit2 = zustand;
Feld[14][3].bit3 = zustand;
Feld[14][3].bit4 = zustand;
Feld[14][3].bit5 = zustand;
Feld[14][3].bit6 = zustand;

Feld[15][3].bit2 = zustand;
Feld[15][3].bit3 = zustand;
Feld[15][3].bit4 = zustand;
Feld[15][3].bit5 = zustand;
Feld[15][3].bit6 = zustand;

Feld[16][3].bit3 = zustand;
Feld[16][3].bit4 = zustand;
Feld[16][3].bit5 = zustand;
Feld[16][3].bit6 = zustand;

//Page 3 Column 2

Feld[17][3].bit3 = zustand;
Feld[17][3].bit4 = zustand;
Feld[17][3].bit5 = zustand;
Feld[17][3].bit6 = zustand;

Feld[18][3].bit3 = zustand;
Feld[18][3].bit4 = zustand;
Feld[18][3].bit5 = zustand;
Feld[18][3].bit6 = zustand;

Feld[19][3].bit3 = zustand;
Feld[19][3].bit4 = zustand;
Feld[19][3].bit5 = zustand;
Feld[19][3].bit6 = zustand;

Feld[20][3].bit3 = zustand;
Feld[20][3].bit4 = zustand;
Feld[20][3].bit5 = zustand;
Feld[20][3].bit6 = zustand;

Feld[21][3].bit3 = zustand;
Feld[21][3].bit4 = zustand;
Feld[21][3].bit5 = zustand;
Feld[21][3].bit6 = zustand;

Feld[22][3].bit3 = zustand;
Feld[22][3].bit4 = zustand;
Feld[22][3].bit5 = zustand;
Feld[22][3].bit6 = zustand;

Feld[23][3].bit3 = zustand;
Feld[23][3].bit4 = zustand;
Feld[23][3].bit5 = zustand;

Feld[24][3].bit2 = zustand;
Feld[24][3].bit3 = zustand;
Feld[24][3].bit4 = zustand;
Feld[24][3].bit5 = zustand;

//Page 3 Column 3

Feld[25][3].bit2 = zustand;
Feld[25][3].bit3 = zustand;
Feld[25][3].bit4 = zustand;

Feld[26][3].bit2 = zustand;
Feld[26][3].bit3 = zustand;
Feld[26][3].bit4 = zustand;

Feld[27][3].bit2 = zustand;
Feld[27][3].bit3 = zustand;

Feld[28][3].bit1 = zustand;
Feld[28][3].bit2 = zustand;
}



void Schaufel_14(int zustand)
{
//Page 1 Column 1

Feld[10][1].bit6 = zustand;
Feld[10][1].bit7 = zustand;

Feld[11][1].bit4 = zustand;
Feld[11][1].bit5 = zustand;
Feld[11][1].bit6 = zustand;
Feld[11][1].bit7 = zustand;

Feld[12][1].bit4 = zustand;
Feld[12][1].bit5 = zustand;
Feld[12][1].bit6 = zustand;
Feld[12][1].bit7 = zustand;

Feld[13][1].bit3 = zustand;
Feld[13][1].bit4 = zustand;
Feld[13][1].bit5 = zustand;
Feld[13][1].bit6 = zustand;
Feld[13][1].bit7 = zustand;

Feld[14][1].bit2 = zustand;
Feld[14][1].bit3 = zustand;
Feld[14][1].bit4 = zustand;
Feld[14][1].bit7 = zustand;

Feld[15][1].bit2 = zustand;

//Page 2 Column 1

Feld[10][2].bit0 = zustand;
Feld[10][2].bit1 = zustand;

Feld[11][2].bit0 = zustand;
Feld[11][2].bit1 = zustand;
Feld[11][2].bit2 = zustand;
Feld[11][2].bit3 = zustand;

Feld[12][2].bit0 = zustand;
Feld[12][2].bit1 = zustand;
Feld[12][2].bit2 = zustand;
Feld[12][2].bit3 = zustand;
Feld[12][2].bit4 = zustand;

Feld[13][2].bit0 = zustand;
Feld[13][2].bit1 = zustand;
Feld[13][2].bit2 = zustand;
Feld[13][2].bit3 = zustand;
Feld[13][2].bit4 = zustand;

Feld[14][2].bit0 = zustand;
Feld[14][2].bit1 = zustand;
Feld[14][2].bit2 = zustand;
Feld[14][2].bit3 = zustand;
Feld[14][2].bit4 = zustand;

Feld[15][2].bit1 = zustand;
Feld[15][2].bit2 = zustand;
Feld[15][2].bit3 = zustand;
Feld[15][2].bit4 = zustand;
Feld[15][2].bit5 = zustand;

Feld[16][2].bit2 = zustand;
Feld[16][2].bit3 = zustand;
Feld[16][2].bit4 = zustand;
Feld[16][2].bit5 = zustand;
Feld[16][2].bit6 = zustand;

//Page 2 Column 2

Feld[17][2].bit3 = zustand;
Feld[17][2].bit4 = zustand;
Feld[17][2].bit5 = zustand;
Feld[17][2].bit6 = zustand;

Feld[18][2].bit3 = zustand;
Feld[18][2].bit4 = zustand;
Feld[18][2].bit5 = zustand;
Feld[18][2].bit6 = zustand;

Feld[19][2].bit4 = zustand;
Feld[19][2].bit5 = zustand;
Feld[19][2].bit6 = zustand;
Feld[19][2].bit7 = zustand;

Feld[20][2].bit4 = zustand;
Feld[20][2].bit5 = zustand;
Feld[20][2].bit6 = zustand;
Feld[20][2].bit7 = zustand;

Feld[21][2].bit5 = zustand;
Feld[21][2].bit6 = zustand;
Feld[21][2].bit7 = zustand;

Feld[22][2].bit5 = zustand;
Feld[22][2].bit6 = zustand;
Feld[22][2].bit7 = zustand;

Feld[23][2].bit5 = zustand;
Feld[23][2].bit6 = zustand;
Feld[23][2].bit7 = zustand;

Feld[24][2].bit6 = zustand;
Feld[24][2].bit7 = zustand;

//Page 2 Column 3

Feld[25][2].bit6 = zustand;
Feld[25][2].bit7 = zustand;

Feld[26][2].bit6 = zustand;
Feld[26][2].bit7 = zustand;

Feld[27][2].bit6 = zustand;
Feld[27][2].bit7 = zustand;

Feld[28][2].bit6 = zustand;
Feld[28][2].bit7 = zustand;

Feld[29][2].bit6 = zustand;
Feld[29][2].bit7 = zustand;

Feld[30][2].bit7 = zustand;

Feld[31][2].bit7 = zustand;

//Page 3 Column 2

Feld[24][3].bit0 = zustand;

//Page 3 Column 3

Feld[25][3].bit0 = zustand;

Feld[26][3].bit0 = zustand;
}



void Schaufel_15(int zustand)
{
//Page 0 Column 2

Feld[20][0].bit6 = zustand;
Feld[20][0].bit7 = zustand;

Feld[21][0].bit5 = zustand;
Feld[21][0].bit6 = zustand;
Feld[21][0].bit7 = zustand;

Feld[22][0].bit5 = zustand;
Feld[22][0].bit6 = zustand;
Feld[22][0].bit7 = zustand;

Feld[23][0].bit5 = zustand;
Feld[23][0].bit6 = zustand;
Feld[23][0].bit7 = zustand;

Feld[24][0].bit4 = zustand;
Feld[24][0].bit5 = zustand;
Feld[24][0].bit6 = zustand;

//Page 0 Column 3

Feld[25][0].bit4 = zustand;
Feld[25][0].bit5 = zustand;

Feld[26][0].bit4 = zustand;

//Page 1 Column 2

Feld[19][1].bit0 = zustand;
Feld[19][1].bit1 = zustand;
Feld[19][1].bit2 = zustand;

Feld[20][1].bit0 = zustand;
Feld[20][1].bit1 = zustand;
Feld[20][1].bit2 = zustand;
Feld[20][1].bit3 = zustand;
Feld[20][1].bit4 = zustand;
Feld[20][1].bit5 = zustand;

Feld[21][1].bit0 = zustand;
Feld[21][1].bit1 = zustand;
Feld[21][1].bit2 = zustand;
Feld[21][1].bit3 = zustand;
Feld[21][1].bit4 = zustand;
Feld[21][1].bit5 = zustand;
Feld[21][1].bit6 = zustand;
Feld[21][1].bit7 = zustand;

Feld[22][1].bit0 = zustand;
Feld[22][1].bit1 = zustand;
Feld[22][1].bit2 = zustand;
Feld[22][1].bit3 = zustand;
Feld[22][1].bit4 = zustand;
Feld[22][1].bit5 = zustand;
Feld[22][1].bit6 = zustand;
Feld[22][1].bit7 = zustand;

Feld[23][1].bit0 = zustand;
Feld[23][1].bit1 = zustand;
Feld[23][1].bit2 = zustand;
Feld[23][1].bit3 = zustand;
Feld[23][1].bit4 = zustand;
Feld[23][1].bit5 = zustand;
Feld[23][1].bit6 = zustand;
Feld[23][1].bit7 = zustand;

Feld[24][1].bit3 = zustand;
Feld[24][1].bit4 = zustand;
Feld[24][1].bit5 = zustand;
Feld[24][1].bit6 = zustand;
Feld[24][1].bit7 = zustand;

//Page 1 Column 3

Feld[25][1].bit5 = zustand;
Feld[25][1].bit6 = zustand;
Feld[25][1].bit7 = zustand;

Feld[26][1].bit6 = zustand;
Feld[26][1].bit7 = zustand;

//Page 2 Column 2

Feld[23][2].bit0 = zustand;

Feld[24][2].bit0 = zustand;
Feld[24][2].bit1 = zustand;

//Page 2 Column 3

Feld[25][2].bit0 = zustand;
Feld[25][2].bit1 = zustand;
Feld[25][2].bit2 = zustand;

Feld[26][2].bit0 = zustand;
Feld[26][2].bit1 = zustand;
Feld[26][2].bit2 = zustand;
Feld[26][2].bit3 = zustand;

Feld[27][2].bit0 = zustand;
Feld[27][2].bit1 = zustand;
Feld[27][2].bit2 = zustand;
Feld[27][2].bit3 = zustand;

Feld[28][2].bit0 = zustand;
Feld[28][2].bit1 = zustand;
Feld[28][2].bit2 = zustand;
Feld[28][2].bit3 = zustand;
Feld[28][2].bit4 = zustand;

Feld[29][2].bit1 = zustand;
Feld[29][2].bit2 = zustand;
Feld[29][2].bit3 = zustand;
Feld[29][2].bit4 = zustand;

Feld[30][2].bit2 = zustand;
Feld[30][2].bit3 = zustand;
Feld[30][2].bit4 = zustand;

Feld[31][2].bit3 = zustand;
Feld[31][2].bit4 = zustand;
Feld[31][2].bit5 = zustand;

Feld[32][2].bit4 = zustand;
Feld[32][2].bit5 = zustand;

//Page 2 Column 4

Feld[33][2].bit4 = zustand;
Feld[33][2].bit5 = zustand;

Feld[34][2].bit4 = zustand;
Feld[34][2].bit5 = zustand;

Feld[35][2].bit5 = zustand;

Feld[36][2].bit5 = zustand;
}



void Schaufel_16(int zustand)
{
//Page 0 Column 3

Feld[30][0].bit4 = zustand;
Feld[30][0].bit5 = zustand;
Feld[30][0].bit6 = zustand;
Feld[30][0].bit7 = zustand;

Feld[31][0].bit3 = zustand;
Feld[31][0].bit4 = zustand;
Feld[31][0].bit5 = zustand;
Feld[31][0].bit6 = zustand;
Feld[31][0].bit7 = zustand;

Feld[32][0].bit2 = zustand;
Feld[32][0].bit3 = zustand;
Feld[32][0].bit4 = zustand;
Feld[32][0].bit5 = zustand;
Feld[32][0].bit6 = zustand;
Feld[32][0].bit7 = zustand;

//Page 0 Column 4

Feld[33][0].bit2 = zustand;
Feld[33][0].bit3 = zustand;
Feld[33][0].bit4 = zustand;
Feld[33][0].bit5 = zustand;
Feld[33][0].bit6 = zustand;
Feld[33][0].bit7 = zustand;

Feld[34][0].bit1 = zustand;
Feld[34][0].bit2 = zustand;
Feld[34][0].bit3 = zustand;
Feld[34][0].bit4 = zustand;
Feld[34][0].bit5 = zustand;
Feld[34][0].bit6 = zustand;
Feld[34][0].bit7 = zustand;

Feld[35][0].bit1 = zustand;
Feld[35][0].bit2 = zustand;
Feld[35][0].bit3 = zustand;
Feld[35][0].bit4 = zustand;

Feld[36][0].bit1 = zustand;
Feld[36][0].bit2 = zustand;
Feld[36][0].bit3 = zustand;

Feld[37][0].bit1 = zustand;
Feld[37][0].bit2 = zustand;
Feld[37][0].bit3 = zustand;

Feld[38][0].bit1 = zustand;
Feld[38][0].bit2 = zustand;
Feld[38][0].bit3 = zustand;

Feld[39][0].bit1 = zustand;
Feld[39][0].bit2 = zustand;

//Page 1 Column 3

Feld[30][1].bit0 = zustand;
Feld[30][1].bit1 = zustand;
Feld[30][1].bit2 = zustand;
Feld[30][1].bit3 = zustand;

Feld[31][1].bit0 = zustand;
Feld[31][1].bit1 = zustand;
Feld[31][1].bit2 = zustand;
Feld[31][1].bit3 = zustand;
Feld[31][1].bit4 = zustand;
Feld[31][1].bit5 = zustand;

Feld[32][1].bit0 = zustand;
Feld[32][1].bit1 = zustand;
Feld[32][1].bit2 = zustand;
Feld[32][1].bit3 = zustand;
Feld[32][1].bit4 = zustand;
Feld[32][1].bit5 = zustand;
Feld[32][1].bit6 = zustand;

//Page 1 Column 4

Feld[33][1].bit0 = zustand;
Feld[33][1].bit1 = zustand;
Feld[33][1].bit2 = zustand;
Feld[33][1].bit3 = zustand;
Feld[33][1].bit4 = zustand;
Feld[33][1].bit5 = zustand;
Feld[33][1].bit6 = zustand;
Feld[33][1].bit7 = zustand;

Feld[34][1].bit0 = zustand;
Feld[34][1].bit1 = zustand;
Feld[34][1].bit2 = zustand;
Feld[34][1].bit3 = zustand;
Feld[34][1].bit4 = zustand;
Feld[34][1].bit5 = zustand;
Feld[34][1].bit6 = zustand;
Feld[34][1].bit7 = zustand;

Feld[35][1].bit5 = zustand;
Feld[35][1].bit6 = zustand;
Feld[35][1].bit7 = zustand;

//Page 2 Column 4

Feld[34][2].bit0 = zustand;
Feld[34][2].bit1 = zustand;

Feld[35][2].bit0 = zustand;
Feld[35][2].bit1 = zustand;
Feld[35][2].bit2 = zustand;

Feld[36][2].bit0 = zustand;
Feld[36][2].bit1 = zustand;
Feld[36][2].bit2 = zustand;
Feld[36][2].bit3 = zustand;

Feld[37][2].bit0 = zustand;
Feld[37][2].bit1 = zustand;
Feld[37][2].bit2 = zustand;
Feld[37][2].bit3 = zustand;

Feld[38][2].bit2 = zustand;
Feld[38][2].bit3 = zustand;
Feld[38][2].bit4 = zustand;

Feld[39][2].bit3 = zustand;
Feld[39][2].bit4 = zustand;
Feld[39][2].bit5 = zustand;

Feld[40][2].bit4 = zustand;
Feld[40][2].bit5 = zustand;

Feld[41][2].bit5 = zustand;
}