// ******************************************************************************
#include "Schaufeln.h"
#include "LCD12864.h"


/////////////////////////////////////////////////////////////////////////
//                        Pixelaktivierungsfunktionen                   /
/////////////////////////////////////////////////////////////////////////
#pragma udata
union v8bit Feld[64][8];


void FieldsInit(void)
{
	int i,j;

	for (j=0; j<=7;j++)
	{		
		for (i=0; i<=64; i++)		//Spalte
		{
			Feld[i][j]._byte = 0x00;		//bertragung Daten	
		}
	}
}

void startup(void)
{
	int i,j,k,l;

	for(k=1;k<=16;k++)
	{
		if(k == 1) Schaufel_1(1);
		else if(k == 2) Schaufel_2(1);
		else if(k == 3) Schaufel_3(1);
		else if(k == 4) Schaufel_4(1);
		else if(k == 5) Schaufel_5(1);
		else if(k == 6) Schaufel_6(1);
		else if(k == 7) Schaufel_7(1);
		else if(k == 8) Schaufel_8(1);
		else if(k == 9) Schaufel_9(1);
		else if(k == 10) Schaufel_10(1);
		else if(k == 11) Schaufel_11(1);
		else if(k == 12) Schaufel_12(1);
		else if(k == 13) Schaufel_13(1);
		else if(k == 14) Schaufel_14(1);
		else if(k == 15) Schaufel_15(1);
		else if(k == 16) Schaufel_16(1);

		for (j=0; j<=7;j++)
		{	
			lcd_command(DISP_PGADDR j);			//Page adress set
			lcd_command(DISP_CADDRUP 0);			// Column adress low
			lcd_command(DISP_CADDRLW 0);			// Column adress high
		
			for (i=0; i<=33; i++)		//Spalte
			{
				lcd_wrdata(0x00);		//bertragung Daten	
			}
					
			for (i=0; i<=64; i++)		//Spalte
			{						 
				lcd_wrdata(Feld[i][j]._byte);		//bertragung Daten	
			}
		}

		Delay10KTCYx(10);
	}

	Delay10KTCYx(100);
}


void Schaufel_1(int an)
{
//Page 0 Column 4

// Page012[0-2][0-XXX].bitX = an;
// Page345[3-5][0-XXX].bitX = an;
// Page67[6-7][0-XXX].bitX = an;

Feld[35][0].bit6 = an;
Feld[35][0].bit7 = an;

Feld[36][0].bit5 = an;
Feld[36][0].bit6 = an;
Feld[36][0].bit7 = an;

Feld[37][0].bit4 = an;
Feld[37][0].bit5 = an;
Feld[37][0].bit6 = an;
Feld[37][0].bit7 = an;

Feld[38][0].bit3 = an;
Feld[38][0].bit4 = an;
Feld[38][0].bit5 = an;
Feld[38][0].bit6 = an;
Feld[38][0].bit7 = an;

Feld[39][0].bit3 = an;
Feld[39][0].bit4 = an;
Feld[39][0].bit5 = an;
Feld[39][0].bit6 = an;

Feld[40][0].bit3 = an;
Feld[40][0].bit4 = an;
Feld[40][0].bit5 = an;

//Page 0 Column 5

Feld[41][0].bit3 = an;
Feld[41][0].bit4 = an;

Feld[42][0].bit3 = an;
Feld[42][0].bit4 = an;

Feld[43][0].bit4 = an;

Feld[44][0].bit4 = an;
Feld[44][0].bit5 = an;

//Page 1 Column 4

Feld[34][1].bit0 = an;
Feld[34][1].bit1 = an;
Feld[34][1].bit2 = an;
Feld[34][1].bit3 = an;
Feld[34][1].bit4 = an;
Feld[34][1].bit5 = an;
Feld[34][1].bit6 = an;
Feld[34][1].bit7 = an;

Feld[35][1].bit0 = an;
Feld[35][1].bit1 = an;
Feld[35][1].bit2 = an;
Feld[35][1].bit3 = an;
Feld[35][1].bit4 = an;
Feld[35][1].bit5 = an;
Feld[35][1].bit6 = an;
Feld[35][1].bit7 = an;

Feld[36][1].bit0 = an;
Feld[36][1].bit1 = an;
Feld[36][1].bit2 = an;
Feld[36][1].bit3 = an;
Feld[36][1].bit4 = an;
Feld[36][1].bit5 = an;
Feld[36][1].bit6 = an;
Feld[36][1].bit7 = an;

Feld[37][1].bit1 = an;
Feld[37][1].bit2 = an;
Feld[37][1].bit3 = an;
Feld[37][1].bit4 = an;

//Page 2 Column 4

Feld[34][2].bit0 = an;
Feld[34][2].bit1 = an;

Feld[35][2].bit0 = an;
Feld[35][2].bit1 = an;
Feld[35][2].bit2 = an;
Feld[35][2].bit3 = an;
Feld[35][2].bit4 = an;

Feld[36][2].bit0 = an;
Feld[36][2].bit1 = an;
Feld[36][2].bit2 = an;
Feld[36][2].bit3 = an;
Feld[36][2].bit4 = an;
Feld[36][2].bit5 = an;
Feld[36][2].bit6 = an;

Feld[37][2].bit4 = an;
Feld[37][2].bit5 = an;
Feld[37][2].bit6 = an;

Feld[38][2].bit6 = an;
}




void Schaufel_2(int an)
{
//Page 0 Column 5

Feld[48][0].bit7 = an;



//Page 1 Column 5

Feld[41][1].bit6 = an;
Feld[41][1].bit7 = an;

Feld[42][1].bit4 = an;
Feld[42][1].bit5 = an;
Feld[42][1].bit6 = an;
Feld[42][1].bit7 = an;

Feld[43][1].bit3 = an;
Feld[43][1].bit4 = an;
Feld[43][1].bit5 = an;
Feld[43][1].bit6 = an;
Feld[43][1].bit7 = an;

Feld[44][1].bit2 = an;
Feld[44][1].bit3 = an;
Feld[44][1].bit4 = an;
Feld[44][1].bit5 = an;
Feld[44][1].bit6 = an;

Feld[45][1].bit1 = an;
Feld[45][1].bit2 = an;
Feld[45][1].bit3 = an;
Feld[45][1].bit4 = an;
Feld[45][1].bit5 = an;

Feld[46][1].bit0 = an;
Feld[46][1].bit1 = an;
Feld[46][1].bit2 = an;
Feld[46][1].bit3 = an;
Feld[46][1].bit4 = an;

Feld[47][1].bit0 = an;
Feld[47][1].bit1 = an;
Feld[47][1].bit2 = an;
Feld[47][1].bit3 = an;

Feld[48][1].bit0 = an;
Feld[48][1].bit1 = an;
Feld[48][1].bit2 = an;

//Page 0 Column6

Feld[49][0].bit7 = an;

//Page 1 Column 6

Feld[49][1].bit0 = an;
Feld[49][1].bit1 = an;
Feld[49][1].bit2 = an;

Feld[50][1].bit0 = an;
Feld[50][1].bit1 = an;

Feld[51][1].bit0 = an;
Feld[51][1].bit1 = an;
Feld[51][1].bit2 = an;

Feld[52][1].bit1 = an;
Feld[52][1].bit2 = an;

Feld[53][1].bit2 = an;
Feld[53][1].bit3 = an;


//Page 2 Column 4

Feld[40][2].bit1 = an;
Feld[40][2].bit2 = an;
Feld[40][2].bit3 = an;
Feld[40][2].bit4 = an;
Feld[40][2].bit5 = an;
Feld[40][2].bit6 = an;

//Page 2 Column 5

Feld[41][2].bit0 = an;
Feld[41][2].bit1 = an;
Feld[41][2].bit2 = an;
Feld[41][2].bit3 = an;
Feld[41][2].bit4 = an;
Feld[41][2].bit5 = an;
Feld[41][2].bit6 = an;
Feld[41][2].bit7 = an;

Feld[42][2].bit0 = an;
Feld[42][2].bit1 = an;
Feld[42][2].bit2 = an;

//Page 3 Column 5

Feld[41][3].bit0 = an;

}




void Schaufel_3(int an)
{
//Page 3 Column 5

Feld[43][3].bit2 = an;
Feld[43][3].bit3 = an;
Feld[43][3].bit4 = an;

Feld[44][3].bit0 = an;
Feld[44][3].bit1 = an;
Feld[44][3].bit2 = an;

Feld[45][3].bit0 = an;

//Page 2 Column 5

Feld[45][2].bit5 = an;
Feld[45][2].bit6 = an;
Feld[45][2].bit7 = an;

Feld[46][2].bit4 = an;
Feld[46][2].bit5 = an;
Feld[46][2].bit6 = an;

Feld[47][2].bit3 = an;
Feld[47][2].bit4 = an;
Feld[47][2].bit5 = an;

Feld[48][2].bit2 = an;
Feld[48][2].bit3 = an;
Feld[48][2].bit4 = an;

//Page 2 Column 6

Feld[49][2].bit2 = an;
Feld[49][2].bit3 = an;
Feld[49][2].bit4 = an;

Feld[50][2].bit1 = an;
Feld[50][2].bit2 = an;
Feld[50][2].bit3 = an;

Feld[51][2].bit1 = an;
Feld[51][2].bit2 = an;

Feld[52][2].bit0 = an;
Feld[52][2].bit1 = an;
Feld[52][2].bit2 = an;

Feld[53][2].bit0 = an;
Feld[53][2].bit1 = an;

Feld[54][2].bit0 = an;
Feld[54][2].bit1 = an;

Feld[55][2].bit0 = an;
Feld[55][2].bit1 = an;

Feld[56][2].bit0 = an;
Feld[56][2].bit1 = an;

//Page 1 Column 6

Feld[54][1].bit7 = an;

Feld[55][1].bit7 = an;

//Page 2 Column 7

Feld[57][2].bit0 = an;
Feld[57][2].bit1 = an;

Feld[58][2].bit1 = an;
Feld[58][2].bit2 = an;

Feld[59][2].bit2 = an;
Feld[59][2].bit3 = an;
}




void Schaufel_4(int an)
{
//Page 4 Column 5

Feld[43][4].bit1 = an;

Feld[44][4].bit0 = an;

//Page 3 Column 5

Feld[44][3].bit7 = an;

Feld[45][3].bit6 = an;
Feld[45][3].bit7 = an;

Feld[46][3].bit5 = an;
Feld[46][3].bit6 = an;

Feld[47][3].bit4 = an;
Feld[47][3].bit5 = an;

Feld[48][3].bit3 = an;
Feld[48][3].bit4 = an;
Feld[48][3].bit5 = an;

//Page 3 Column 6

Feld[49][3].bit3 = an;
Feld[49][3].bit4 = an;

Feld[50][3].bit2 = an;
Feld[50][3].bit3 = an;
Feld[50][3].bit4 = an;

Feld[51][3].bit2 = an;
Feld[51][3].bit3 = an;

Feld[52][3].bit1 = an;
Feld[52][3].bit2 = an;
Feld[52][3].bit3 = an;

Feld[53][3].bit1 = an;
Feld[53][3].bit2 = an;

Feld[54][3].bit1 = an;
Feld[54][3].bit2 = an;

Feld[55][3].bit1 = an;
Feld[55][3].bit2 = an;

Feld[56][3].bit1 = an;
Feld[56][3].bit2 = an;

//Page 3 Column 7

Feld[57][3].bit1 = an;
Feld[57][3].bit2 = an;

Feld[58][3].bit1 = an;
Feld[58][3].bit2 = an;
Feld[58][3].bit3 = an;

Feld[59][3].bit2 = an;
Feld[59][3].bit3 = an;

Feld[60][3].bit3 = an;
Feld[60][3].bit4 = an;

Feld[61][3].bit4 = an;
Feld[61][3].bit5 = an;
}



void Schaufel_5(int an)
{

//Page 4 Column 5

Feld[42][4].bit5 = an;

Feld[43][4].bit4 = an;

Feld[44][4].bit3 = an;

Feld[45][4].bit3 = an;

Feld[46][4].bit2 = an;
Feld[46][4].bit3 = an;

Feld[47][4].bit2 = an;
Feld[47][4].bit3 = an;

Feld[48][4].bit2 = an;
Feld[48][4].bit3 = an;

//Page 4 Column 6

Feld[49][4].bit2 = an;
Feld[49][4].bit3 = an;

Feld[50][4].bit1 = an;
Feld[50][4].bit2 = an;
Feld[50][4].bit3 = an;

Feld[51][4].bit1 = an;
Feld[51][4].bit2 = an;
Feld[51][4].bit3 = an;

Feld[52][4].bit1 = an;
Feld[52][4].bit2 = an;
Feld[52][4].bit3 = an;

Feld[53][4].bit1 = an;
Feld[53][4].bit2 = an;
Feld[53][4].bit3 = an;

Feld[54][4].bit2 = an;
Feld[54][4].bit3 = an;
Feld[54][4].bit4 = an;

Feld[55][4].bit2 = an;
Feld[55][4].bit3 = an;
Feld[55][4].bit4 = an;

Feld[56][4].bit2 = an;
Feld[56][4].bit3 = an;
Feld[56][4].bit4 = an;

//Page 4 Column 7

Feld[57][4].bit3 = an;
Feld[57][4].bit4 = an;
Feld[57][4].bit5 = an;

Feld[58][4].bit4 = an;
Feld[58][4].bit5 = an;
Feld[58][4].bit6 = an;

Feld[59][4].bit5 = an;
Feld[59][4].bit6 = an;
Feld[59][4].bit7 = an;

Feld[60][4].bit6 = an;
Feld[60][4].bit7 = an;

//Page 5 Column 7

Feld[59][5].bit3 = an;

Feld[60][5].bit0 = an;
Feld[60][5].bit1 = an;
Feld[60][5].bit2 = an;
}



void Schaufel_6(int an)
{
//Page 5 Column 5

Feld[41][5].bit0 = an;

Feld[42][5].bit0 = an;

Feld[43][5].bit0 = an;

Feld[44][5].bit0 = an;

Feld[45][5].bit0 = an;

Feld[46][5].bit0 = an;
Feld[46][5].bit1 = an;

Feld[47][5].bit0 = an;
Feld[47][5].bit1 = an;

Feld[48][5].bit1 = an;
Feld[48][5].bit2 = an;

//Page 5 Column 6

Feld[49][5].bit1 = an;
Feld[49][5].bit2 = an;
Feld[49][5].bit3 = an;

Feld[50][5].bit2 = an;
Feld[50][5].bit3 = an;

Feld[51][5].bit2 = an;
Feld[51][5].bit3 = an;
Feld[51][5].bit4 = an;

Feld[52][5].bit3 = an;
Feld[52][5].bit4 = an;
Feld[52][5].bit5 = an;

Feld[53][5].bit3 = an;
Feld[53][5].bit4 = an;
Feld[53][5].bit5 = an;
Feld[53][5].bit6 = an;

Feld[54][5].bit4 = an;
Feld[54][5].bit5 = an;
Feld[54][5].bit6 = an;
Feld[54][5].bit7 = an;

Feld[55][5].bit5 = an;
Feld[55][5].bit6 = an;
Feld[55][5].bit7 = an;

Feld[56][5].bit7 = an;

//Page 6 Column 6

Feld[53][6].bit4 = an;
Feld[53][6].bit5 = an;

Feld[54][6].bit0 = an;
Feld[54][6].bit1 = an;
Feld[54][6].bit2 = an;
Feld[54][6].bit3 = an;
Feld[54][6].bit4 = an;

Feld[55][6].bit0 = an;
Feld[55][6].bit1 = an;
Feld[55][6].bit2 = an;
Feld[55][6].bit3 = an;

Feld[56][6].bit0 = an;
}

void Schaufel_7(int an)
{
//Page  5 Column 4

Feld[35][5].bit2 = an;

Feld[36][5].bit2 = an;

Feld[37][5].bit2 = an;
Feld[37][5].bit3 = an;

Feld[38][5].bit3 = an;

Feld[39][5].bit3 = an;
Feld[39][5].bit4 = an;

Feld[40][5].bit3 = an;
Feld[40][5].bit4 = an;
Feld[40][5].bit5 = an;

//Page 5 Column 5

Feld[41][5].bit4 = an;
Feld[41][5].bit5 = an;
Feld[41][5].bit6 = an;

Feld[42][5].bit5 = an;
Feld[42][5].bit6 = an;
Feld[42][5].bit7 = an;

Feld[43][5].bit5 = an;
Feld[43][5].bit6 = an;
Feld[43][5].bit7 = an;

Feld[44][5].bit6 = an;
Feld[44][5].bit7 = an;

Feld[45][5].bit7 = an;

//Page 6 Column 5

Feld[43][6].bit0 = an;

Feld[44][6].bit0 = an;
Feld[44][6].bit1 = an;
Feld[44][6].bit2 = an;

Feld[45][6].bit0 = an;
Feld[45][6].bit1 = an;
Feld[45][6].bit2 = an;
Feld[45][6].bit3 = an;
Feld[45][6].bit4 = an;

Feld[46][6].bit0 = an;
Feld[46][6].bit1 = an;
Feld[46][6].bit2 = an;
Feld[46][6].bit3 = an;
Feld[46][6].bit4 = an;
Feld[46][6].bit5 = an;
Feld[46][6].bit6 = an;
Feld[46][6].bit7 = an;

Feld[47][6].bit2 = an;
Feld[47][6].bit3 = an;
Feld[47][6].bit4 = an;
Feld[47][6].bit5 = an;
Feld[47][6].bit6 = an;
Feld[47][6].bit7 = an;

Feld[48][6].bit3 = an;
Feld[48][6].bit4 = an;
Feld[48][6].bit5 = an;
Feld[48][6].bit6 = an;
Feld[48][6].bit7 = an;

//Page 6 Column 6

Feld[49][6].bit6 = an;

//Page 7 Column 5

Feld[43][7].bit3 = an;

Feld[44][7].bit2 = an;
Feld[44][7].bit3 = an;

Feld[45][7].bit1 = an;
Feld[45][7].bit2 = an;

Feld[46][7].bit0 = an;
Feld[46][7].bit1 = an;
Feld[46][7].bit2 = an;

Feld[47][7].bit0 = an;
Feld[47][7].bit1 = an;

Feld[48][7].bit0 = an;
}

void Schaufel_8(int an)
{
//Page 5 Column 3

// Wenn nachfolgende Zeile auskommentiert wird der Rest gesetzt, ansonsten nicht !!!
//Feld[31][5].bit2 = an;

Feld[32][5].bit3 = an;
Feld[32][5].bit4 = an;

//Page 5 Column 4

Feld[33][5].bit3 = an;
Feld[33][5].bit4 = an;
Feld[33][5].bit5 = an;

Feld[34][5].bit4 = an;
Feld[34][5].bit5 = an;
Feld[34][5].bit6 = an;
Feld[34][5].bit7 = an;

Feld[35][5].bit5 = an;
Feld[35][5].bit6 = an;
Feld[35][5].bit7 = an;

Feld[36][5].bit6 = an;
Feld[36][5].bit7 = an;

Feld[37][5].bit7 = an;

//Page 6 Column 4

Feld[35][6].bit0 = an;
Feld[35][6].bit1 = an;

Feld[36][6].bit0 = an;
Feld[36][6].bit1 = an;
Feld[36][6].bit2 = an;
Feld[36][6].bit3 = an;
Feld[36][6].bit4 = an;
Feld[36][6].bit5 = an;
Feld[36][6].bit6 = an;
Feld[36][6].bit7 = an;

Feld[37][6].bit0 = an;
Feld[37][6].bit1 = an;
Feld[37][6].bit2 = an;
Feld[37][6].bit3 = an;
Feld[37][6].bit4 = an;
Feld[37][6].bit5 = an;
Feld[37][6].bit6 = an;
Feld[37][6].bit7 = an;

Feld[38][6].bit1 = an;
Feld[38][6].bit2 = an;
Feld[38][6].bit3 = an;
Feld[38][6].bit4 = an;
Feld[38][6].bit5 = an;
Feld[38][6].bit6 = an;
Feld[38][6].bit7 = an;

Feld[39][6].bit5 = an;
Feld[39][6].bit6 = an;
Feld[39][6].bit7 = an;

//Page 7 Column  3

Feld[32][7].bit5 = an;

//Page 7 Column 4

Feld[33][7].bit4 = an;
Feld[33][7].bit5 = an;

Feld[34][7].bit4 = an;
Feld[34][7].bit5 = an;

Feld[35][7].bit2 = an;
Feld[35][7].bit3 = an;
Feld[35][7].bit4 = an;
Feld[35][7].bit5 = an;

Feld[36][7].bit0 = an;
Feld[36][7].bit1 = an;
Feld[36][7].bit2 = an;
Feld[36][7].bit3 = an;
Feld[36][7].bit4 = an;
Feld[36][7].bit5 = an;

Feld[37][7].bit0 = an;
Feld[37][7].bit1 = an;
Feld[37][7].bit2 = an;
Feld[37][7].bit3 = an;
Feld[37][7].bit4 = an;

Feld[38][7].bit0 = an;
Feld[38][7].bit1 = an;
Feld[38][7].bit2 = an;
Feld[38][7].bit3 = an;

Feld[39][7].bit0 = an;
Feld[39][7].bit1 = an;
Feld[39][7].bit2 = an;
}



void Schaufel_9(int an)
{
//Page 5 Column 3

Feld[27][5].bit1 = an;

Feld[28][5].bit2 = an;
Feld[28][5].bit3 = an;
Feld[28][5].bit4 = an;

Feld[29][5].bit3 = an;
Feld[29][5].bit4 = an;
Feld[29][5].bit5 = an;
Feld[29][5].bit6 = an;
Feld[29][5].bit7 = an;

Feld[30][5].bit5 = an;
Feld[30][5].bit6 = an;
Feld[30][5].bit7 = an;

Feld[31][5].bit7 = an;

//Page 6 Column 3

Feld[27][6].bit7 = an;

Feld[28][6].bit3 = an;
Feld[28][6].bit4 = an;
Feld[28][6].bit5 = an;
Feld[28][6].bit6 = an;
Feld[28][6].bit7 = an;

Feld[29][6].bit0 = an;
Feld[29][6].bit1 = an;
Feld[29][6].bit2 = an;
Feld[29][6].bit3 = an;
Feld[29][6].bit4 = an;
Feld[29][6].bit5 = an;
Feld[29][6].bit6 = an;
Feld[29][6].bit7 = an;

Feld[30][6].bit0 = an;
Feld[30][6].bit1 = an;
Feld[30][6].bit2 = an;
Feld[30][6].bit3 = an;
Feld[30][6].bit4 = an;
Feld[30][6].bit5 = an;
Feld[30][6].bit6 = an;
Feld[30][6].bit7 = an;

Feld[31][6].bit0 = an;
Feld[31][6].bit1 = an;
Feld[31][6].bit2 = an;
Feld[31][6].bit3 = an;
Feld[31][6].bit4 = an;
Feld[31][6].bit5 = an;

//Page 7 Column 2

Feld[20][7].bit2 = an;

Feld[21][7].bit3 = an;

Feld[22][7].bit3 = an;

Feld[23][7].bit3 = an;
Feld[23][7].bit4 = an;

Feld[24][7].bit3 = an;
Feld[24][7].bit4 = an;

//Page 7 Column 3

Feld[25][7].bit2 = an;
Feld[25][7].bit3 = an;
Feld[25][7].bit4 = an;

Feld[26][7].bit1 = an;
Feld[26][7].bit2 = an;
Feld[26][7].bit3 = an;
Feld[26][7].bit4 = an;

Feld[27][7].bit0 = an;
Feld[27][7].bit1 = an;
Feld[27][7].bit2 = an;
Feld[27][7].bit3 = an;

Feld[28][7].bit0 = an;
Feld[28][7].bit1 = an;
Feld[28][7].bit2 = an;

Feld[29][7].bit0 = an;
Feld[29][7].bit1 = an;
}



void Schaufel_10(int an)
{

//Page 4 Column 2

Feld[24][4].bit6 = an;
Feld[24][4].bit7 = an;

//Page 5 Column 2

Feld[22][5].bit7 = an;

Feld[23][5].bit4 = an;
Feld[23][5].bit5 = an;
Feld[23][5].bit6 = an;
Feld[23][5].bit7 = an;

Feld[24][5].bit0 = an;
Feld[24][5].bit1 = an;
Feld[24][5].bit2 = an;
Feld[24][5].bit3 = an;
Feld[24][5].bit4 = an;
Feld[24][5].bit5 = an;
Feld[24][5].bit6 = an;
Feld[24][5].bit7 = an;

//Page 5 Column 3

Feld[25][5].bit0 = an;
Feld[25][5].bit1 = an;
Feld[25][5].bit2 = an;
Feld[25][5].bit3 = an;
Feld[25][5].bit4 = an;

//Page 6 Column 1

Feld[12][6].bit4 = an;
Feld[12][6].bit5 = an;

Feld[13][6].bit5 = an;
Feld[13][6].bit6 = an;

Feld[14][6].bit5 = an;
Feld[14][6].bit6 = an;
Feld[14][6].bit7 = an;

Feld[15][6].bit6 = an;
Feld[15][6].bit7 = an;

Feld[16][6].bit5 = an;
Feld[16][6].bit6 = an;
Feld[16][6].bit7 = an;

//Page 7 Column 1

Feld[16][7].bit0 = an;

//Page 6 Column 2

Feld[17][6].bit5 = an;
Feld[17][6].bit6 = an;
Feld[17][6].bit7 = an;

Feld[18][6].bit4 = an;
Feld[18][6].bit5 = an;
Feld[18][6].bit6 = an;
Feld[18][6].bit7 = an;

Feld[19][6].bit3 = an;
Feld[19][6].bit4 = an;
Feld[19][6].bit5 = an;
Feld[19][6].bit6 = an;

Feld[20][6].bit1 = an;
Feld[20][6].bit2 = an;
Feld[20][6].bit3 = an;
Feld[20][6].bit4 = an;
Feld[20][6].bit5 = an;

Feld[21][6].bit0 = an;
Feld[21][6].bit1 = an;
Feld[21][6].bit2 = an;
Feld[21][6].bit3 = an;
Feld[21][6].bit4 = an;
Feld[21][6].bit5 = an;

Feld[22][6].bit0 = an;
Feld[22][6].bit1 = an;
Feld[22][6].bit2 = an;
Feld[22][6].bit3 = an;

Feld[23][6].bit0 = an;
Feld[23][6].bit1 = an;
}



void Schaufel_11(int an)
{

//Page 5 Column 0

Feld[6][5].bit3 = an;
Feld[6][5].bit4 = an;

Feld[7][5].bit4 = an;
Feld[7][5].bit5 = an;
Feld[7][5].bit6 = an;

Feld[8][5].bit5 = an;
Feld[8][5].bit6 = an;
Feld[8][5].bit7 = an;

//Page 6 Column 1

Feld[10][6].bit0 = an;

Feld[11][6].bit0 = an;

Feld[12][6].bit0 = an;

//Page 5 Column 1

Feld[9][5].bit5 = an;
Feld[9][5].bit6 = an;
Feld[9][5].bit7 = an;

Feld[10][5].bit5 = an;
Feld[10][5].bit6 = an;
Feld[10][5].bit7 = an;

Feld[11][5].bit5 = an;
Feld[11][5].bit6 = an;
Feld[11][5].bit7 = an;

Feld[12][5].bit5 = an;
Feld[12][5].bit6 = an;
Feld[12][5].bit7 = an;

Feld[13][5].bit4 = an;
Feld[13][5].bit5 = an;
Feld[13][5].bit6 = an;
Feld[13][5].bit7 = an;

Feld[14][5].bit4 = an;
Feld[14][5].bit5 = an;
Feld[14][5].bit6 = an;
Feld[14][5].bit7 = an;

Feld[15][5].bit3 = an;
Feld[15][5].bit4 = an;
Feld[15][5].bit5 = an;
Feld[15][5].bit6 = an;

Feld[16][5].bit2 = an;
Feld[16][5].bit3 = an;
Feld[16][5].bit4 = an;
Feld[16][5].bit5 = an;
Feld[16][5].bit6 = an;

//Page 5 Column 2

Feld[17][5].bit2 = an;
Feld[17][5].bit3 = an;
Feld[17][5].bit4 = an;
Feld[17][5].bit5 = an;

Feld[18][5].bit1 = an;
Feld[18][5].bit2 = an;
Feld[18][5].bit3 = an;
Feld[18][5].bit4 = an;

Feld[19][5].bit0 = an;
Feld[19][5].bit1 = an;
Feld[19][5].bit2 = an;
Feld[19][5].bit3 = an;

Feld[20][5].bit0 = an;
Feld[20][5].bit1 = an;
Feld[20][5].bit2 = an;

Feld[21][5].bit0 = an;

//Page 4 Column 2

Feld[19][4].bit7 = an;

Feld[20][4].bit5 = an;
Feld[20][4].bit6 = an;
Feld[20][4].bit7 = an;

Feld[21][4].bit3 = an;
Feld[21][4].bit4 = an;
Feld[21][4].bit5 = an;
Feld[21][4].bit6 = an;
Feld[21][4].bit7 = an;

Feld[22][4].bit2 = an;
Feld[22][4].bit3 = an;
Feld[22][4].bit4 = an;
Feld[22][4].bit5 = an;
}



void Schaufel_12(int an)
{

//Page 3 Column 0

Feld[3][3].bit7 = an;

//Page 4 Column 0

Feld[3][4].bit0 = an;
Feld[3][4].bit1 = an;
Feld[3][4].bit2 = an;
Feld[3][4].bit3 = an;

Feld[4][4].bit0 = an;
Feld[4][4].bit1 = an;
Feld[4][4].bit2 = an;
Feld[4][4].bit3 = an;
Feld[4][4].bit4 = an;

Feld[5][4].bit2 = an;
Feld[5][4].bit3 = an;
Feld[5][4].bit4 = an;
Feld[5][4].bit5 = an;

Feld[6][4].bit3 = an;
Feld[6][4].bit4 = an;
Feld[6][4].bit5 = an;
Feld[6][4].bit6 = an;

Feld[7][4].bit3 = an;
Feld[7][4].bit4 = an;
Feld[7][4].bit5 = an;
Feld[7][4].bit6 = an;

Feld[8][4].bit3 = an;
Feld[8][4].bit4 = an;
Feld[8][4].bit5 = an;
Feld[8][4].bit6 = an;

//Page 4 Column 1

Feld[9][4].bit3 = an;
Feld[9][4].bit4 = an;
Feld[9][4].bit5 = an;
Feld[9][4].bit6 = an;

Feld[10][4].bit3 = an;
Feld[10][4].bit4 = an;
Feld[10][4].bit5 = an;
Feld[10][4].bit6 = an;

Feld[11][4].bit3 = an;
Feld[11][4].bit4 = an;
Feld[11][4].bit5 = an;
Feld[11][4].bit6 = an;

Feld[12][4].bit3 = an;
Feld[12][4].bit4 = an;
Feld[12][4].bit5 = an;
Feld[12][4].bit6 = an;

Feld[13][4].bit3 = an;
Feld[13][4].bit4 = an;
Feld[13][4].bit5 = an;
Feld[13][4].bit6 = an;

Feld[14][4].bit3 = an;
Feld[14][4].bit4 = an;
Feld[14][4].bit5 = an;

Feld[15][4].bit2 = an;
Feld[15][4].bit3 = an;
Feld[15][4].bit4 = an;
Feld[15][4].bit5 = an;

Feld[16][4].bit2 = an;
Feld[16][4].bit3 = an;
Feld[16][4].bit4 = an;

//Page 4 Column 2

Feld[17][4].bit1 = an;
Feld[17][4].bit2 = an;
Feld[17][4].bit3 = an;
Feld[17][4].bit4 = an;

Feld[18][4].bit1 = an;
Feld[18][4].bit2 = an;
Feld[18][4].bit3 = an;

Feld[19][4].bit0 = an;
Feld[19][4].bit1 = an;
Feld[19][4].bit2 = an;

Feld[20][4].bit0 = an;
Feld[20][4].bit1 = an;

Feld[21][4].bit0 = an;

//Page 3 Column 2

Feld[20][3].bit7 = an;

Feld[21][3].bit6 = an;
Feld[21][3].bit7 = an;

Feld[22][3].bit6 = an;
}



void Schaufel_13(int an)
{
//Page 2 Column 0

Feld[4][2].bit5 = an;
Feld[4][2].bit6 = an;
Feld[4][2].bit7 = an;

Feld[5][2].bit4 = an;
Feld[5][2].bit5 = an;
Feld[5][2].bit6 = an;
Feld[5][2].bit7 = an;

Feld[6][2].bit4 = an;
Feld[6][2].bit5 = an;
Feld[6][2].bit6 = an;
Feld[6][2].bit7 = an;

//Page 3 Column 0

Feld[4][3].bit0 = an;
Feld[4][3].bit1 = an;
Feld[4][3].bit2 = an;

Feld[5][3].bit0 = an;
Feld[5][3].bit1 = an;
Feld[5][3].bit2 = an;
Feld[5][3].bit3 = an;

Feld[6][3].bit0 = an;
Feld[6][3].bit1 = an;
Feld[6][3].bit2 = an;
Feld[6][3].bit3 = an;
Feld[6][3].bit4 = an;

Feld[7][3].bit0 = an;
Feld[7][3].bit1 = an;
Feld[7][3].bit2 = an;
Feld[7][3].bit3 = an;
Feld[7][3].bit4 = an;
Feld[7][3].bit5 = an;

Feld[8][3].bit1 = an;
Feld[8][3].bit2 = an;
Feld[8][3].bit3 = an;
Feld[8][3].bit4 = an;
Feld[8][3].bit5 = an;

//Page 3 Column 1

Feld[9][3].bit1 = an;
Feld[9][3].bit2 = an;
Feld[9][3].bit3 = an;
Feld[9][3].bit4 = an;
Feld[9][3].bit5 = an;

Feld[10][3].bit2 = an;
Feld[10][3].bit3 = an;
Feld[10][3].bit4 = an;
Feld[10][3].bit5 = an;
Feld[10][3].bit6 = an;

Feld[11][3].bit2 = an;
Feld[11][3].bit3 = an;
Feld[11][3].bit4 = an;
Feld[11][3].bit5 = an;
Feld[11][3].bit6 = an;

Feld[12][3].bit2 = an;
Feld[12][3].bit3 = an;
Feld[12][3].bit4 = an;
Feld[12][3].bit5 = an;
Feld[12][3].bit6 = an;

Feld[13][3].bit3 = an;
Feld[13][3].bit4 = an;
Feld[13][3].bit5 = an;
Feld[13][3].bit6 = an;

Feld[14][3].bit3 = an;
Feld[14][3].bit4 = an;
Feld[14][3].bit5 = an;
Feld[14][3].bit6 = an;

Feld[15][3].bit3 = an;
Feld[15][3].bit4 = an;
Feld[15][3].bit5 = an;
Feld[15][3].bit6 = an;

Feld[16][3].bit3 = an;
Feld[16][3].bit4 = an;
Feld[16][3].bit5 = an;
Feld[16][3].bit6 = an;

//Page 3 Column 2

Feld[17][3].bit3 = an;
Feld[17][3].bit4 = an;
Feld[17][3].bit5 = an;
Feld[17][3].bit6 = an;

Feld[18][3].bit3 = an;
Feld[18][3].bit4 = an;
Feld[18][3].bit5 = an;
Feld[18][3].bit6 = an;

Feld[19][3].bit3 = an;
Feld[19][3].bit4 = an;
Feld[19][3].bit5 = an;

Feld[20][3].bit2 = an;
Feld[20][3].bit3 = an;
Feld[20][3].bit4 = an;
Feld[20][3].bit5 = an;

Feld[21][3].bit2 = an;
Feld[21][3].bit3 = an;
Feld[21][3].bit4 = an;

Feld[22][3].bit2 = an;
Feld[22][3].bit3 = an;
Feld[22][3].bit4 = an;

Feld[23][3].bit2 = an;
}



void Schaufel_14(int an)
{
//Page 1 Column 0

Feld[8][1].bit6 = an;
Feld[8][1].bit7 = an;

//Page 2 Column 0

Feld[8][2].bit0 = an;

//Page 1 Column 1

Feld[9][1].bit6 = an;
Feld[9][1].bit7 = an;

Feld[10][1].bit4 = an;
Feld[10][1].bit5 = an;
Feld[10][1].bit6 = an;
Feld[10][1].bit7 = an;

Feld[11][1].bit3 = an;
Feld[11][1].bit4 = an;
Feld[11][1].bit5 = an;
Feld[11][1].bit6 = an;
Feld[11][1].bit7 = an;

Feld[12][1].bit2 = an;
Feld[12][1].bit3 = an;
Feld[12][1].bit4 = an;
Feld[12][1].bit7 = an;

Feld[13][1].bit2 = an;

//Page 2 Column 1

Feld[9][2].bit0 = an;
Feld[9][2].bit1 = an;

Feld[10][2].bit0 = an;
Feld[10][2].bit1 = an;
Feld[10][2].bit2 = an;
Feld[10][2].bit3 = an;

Feld[11][2].bit0 = an;
Feld[11][2].bit1 = an;
Feld[11][2].bit2 = an;
Feld[11][2].bit3 = an;
Feld[11][2].bit4 = an;

Feld[12][2].bit0 = an;
Feld[12][2].bit1 = an;
Feld[12][2].bit2 = an;
Feld[12][2].bit3 = an;
Feld[12][2].bit4 = an;

Feld[13][2].bit1 = an;
Feld[13][2].bit2 = an;
Feld[13][2].bit3 = an;
Feld[13][2].bit4 = an;
Feld[13][2].bit5 = an;

Feld[14][2].bit2 = an;
Feld[14][2].bit3 = an;
Feld[14][2].bit4 = an;
Feld[14][2].bit5 = an;
Feld[14][2].bit6 = an;

Feld[15][2].bit3 = an;
Feld[15][2].bit4 = an;
Feld[15][2].bit5 = an;
Feld[15][2].bit6 = an;

Feld[16][2].bit4 = an;
Feld[16][2].bit5 = an;
Feld[16][2].bit6 = an;
Feld[16][2].bit7 = an;

//Page 2 Column 2

Feld[17][2].bit4 = an;
Feld[17][2].bit5 = an;
Feld[17][2].bit6 = an;
Feld[17][2].bit7 = an;

Feld[18][2].bit5 = an;
Feld[18][2].bit6 = an;
Feld[18][2].bit7 = an;

Feld[19][2].bit5 = an;
Feld[19][2].bit6 = an;
Feld[19][2].bit7 = an;

Feld[20][2].bit6 = an;
Feld[20][2].bit7 = an;

Feld[21][2].bit6 = an;
Feld[21][2].bit7 = an;

Feld[22][2].bit6 = an;
Feld[22][2].bit7 = an;

Feld[23][2].bit6 = an;
Feld[23][2].bit7 = an;

Feld[24][2].bit6 = an;
Feld[24][2].bit7 = an;

//Page 2 Column 3

Feld[25][2].bit6 = an;
Feld[25][2].bit7 = an;

Feld[26][2].bit7 = an;
}



void Schaufel_15(int an)
{
//Page 1 Column 1

Feld[16][1].bit0 = an;
Feld[16][1].bit1 = an;
Feld[16][1].bit2 = an;

//Page 0 Column 2

Feld[17][0].bit6 = an;
Feld[17][0].bit7 = an;

Feld[18][0].bit5 = an;
Feld[18][0].bit6 = an;
Feld[18][0].bit7 = an;

Feld[19][0].bit5 = an;
Feld[19][0].bit6 = an;
Feld[19][0].bit7 = an;

Feld[20][0].bit4 = an;
Feld[20][0].bit5 = an;
Feld[20][0].bit6 = an;

Feld[21][0].bit4 = an;
Feld[21][0].bit5 = an;

Feld[22][0].bit4 = an;

//Page 1 Column 2

Feld[17][1].bit0 = an;
Feld[17][1].bit1 = an;
Feld[17][1].bit2 = an;
Feld[17][1].bit3 = an;
Feld[17][1].bit4 = an;

Feld[18][1].bit0 = an;
Feld[18][1].bit1 = an;
Feld[18][1].bit2 = an;
Feld[18][1].bit3 = an;
Feld[18][1].bit4 = an;
Feld[18][1].bit5 = an;
Feld[18][1].bit6 = an;
Feld[18][1].bit7 = an;

Feld[19][1].bit0 = an;
Feld[19][1].bit1 = an;
Feld[19][1].bit2 = an;
Feld[19][1].bit3 = an;
Feld[19][1].bit4 = an;
Feld[19][1].bit5 = an;
Feld[19][1].bit6 = an;
Feld[19][1].bit7 = an;

Feld[20][1].bit3 = an;
Feld[20][1].bit4 = an;
Feld[20][1].bit5 = an;
Feld[20][1].bit6 = an;
Feld[20][1].bit7 = an;

Feld[21][1].bit5 = an;
Feld[21][1].bit6 = an;
Feld[21][1].bit7 = an;

Feld[22][1].bit6 = an;
Feld[22][1].bit7 = an;

//Page 2 Column 2

Feld[19][2].bit0 = an;

Feld[20][2].bit0 = an;
Feld[20][2].bit1 = an;

Feld[21][2].bit0 = an;
Feld[21][2].bit1 = an;
Feld[21][2].bit2 = an;

Feld[22][2].bit0 = an;
Feld[22][2].bit1 = an;
Feld[22][2].bit2 = an;
Feld[22][2].bit3 = an;

Feld[23][2].bit0 = an;
Feld[23][2].bit1 = an;
Feld[23][2].bit2 = an;
Feld[23][2].bit3 = an;
Feld[23][2].bit4 = an;

Feld[24][2].bit1 = an;
Feld[24][2].bit2 = an;
Feld[24][2].bit3 = an;
Feld[24][2].bit4 = an;

//Page 2 Column 3

Feld[25][2].bit2 = an;
Feld[25][2].bit3 = an;
Feld[25][2].bit4 = an;

Feld[26][2].bit3 = an;
Feld[26][2].bit4 = an;

Feld[27][2].bit4 = an;
Feld[27][2].bit5 = an;

Feld[28][2].bit4 = an;
Feld[28][2].bit5 = an;

Feld[29][2].bit4 = an;
Feld[29][2].bit5 = an;

Feld[30][2].bit5 = an;
}



void Schaufel_16(int an)
{
//Page 0 Column 3

Feld[25][0].bit5 = an;
Feld[25][0].bit6 = an;
Feld[25][0].bit7 = an;

Feld[26][0].bit4 = an;
Feld[26][0].bit5 = an;
Feld[26][0].bit6 = an;
Feld[26][0].bit7 = an;

Feld[27][0].bit3 = an;
Feld[27][0].bit4 = an;
Feld[27][0].bit5 = an;
Feld[27][0].bit6 = an;
Feld[27][0].bit7 = an;

Feld[28][0].bit2 = an;
Feld[28][0].bit3 = an;
Feld[28][0].bit4 = an;
Feld[28][0].bit5 = an;
Feld[28][0].bit6 = an;
Feld[28][0].bit7 = an;

Feld[29][0].bit1 = an;
Feld[29][0].bit2 = an;
Feld[29][0].bit3 = an;
Feld[29][0].bit4 = an;
Feld[29][0].bit5 = an;
Feld[29][0].bit6 = an;
Feld[29][0].bit7 = an;

Feld[30][0].bit1 = an;
Feld[30][0].bit2 = an;
Feld[30][0].bit3 = an;
Feld[30][0].bit4 = an;

Feld[31][0].bit1 = an;
Feld[31][0].bit2 = an;
Feld[31][0].bit3 = an;

Feld[32][0].bit2 = an;
Feld[32][0].bit3 = an;

//Page 0 Column 4

Feld[33][0].bit3 = an;

//Page 1 Column 3

Feld[25][1].bit0 = an;
Feld[25][1].bit1 = an;
Feld[25][1].bit2 = an;

Feld[26][1].bit0 = an;
Feld[26][1].bit1 = an;
Feld[26][1].bit2 = an;
Feld[26][1].bit3 = an;
Feld[26][1].bit4 = an;

Feld[27][1].bit0 = an;
Feld[27][1].bit1 = an;
Feld[27][1].bit2 = an;
Feld[27][1].bit3 = an;
Feld[27][1].bit4 = an;
Feld[27][1].bit5 = an;
Feld[27][1].bit6 = an;

Feld[28][1].bit0 = an;
Feld[28][1].bit1 = an;
Feld[28][1].bit2 = an;
Feld[28][1].bit3 = an;
Feld[28][1].bit4 = an;
Feld[28][1].bit5 = an;
Feld[28][1].bit6 = an;
Feld[28][1].bit7 = an;

Feld[29][1].bit0 = an;
Feld[29][1].bit1 = an;
Feld[29][1].bit2 = an;
Feld[29][1].bit3 = an;
Feld[29][1].bit4 = an;
Feld[29][1].bit5 = an;
Feld[29][1].bit6 = an;
Feld[29][1].bit7 = an;

Feld[30][1].bit5 = an;
Feld[30][1].bit6 = an;
Feld[30][1].bit7 = an;

//Page 2 Column 3

Feld[28][2].bit0 = an;

Feld[29][2].bit0 = an;
Feld[29][2].bit1 = an;

Feld[30][2].bit0 = an;
Feld[30][2].bit1 = an;
Feld[30][2].bit2 = an;

Feld[31][2].bit1 = an;
Feld[31][2].bit2 = an;
Feld[31][2].bit3 = an;

Feld[32][2].bit2 = an;
Feld[32][2].bit3 = an;
Feld[32][2].bit4 = an;

//Page 2 Column 4

Feld[33][2].bit3 = an;
Feld[33][2].bit4 = an;
Feld[33][2].bit5 = an;

Feld[34][2].bit4 = an;
Feld[34][2].bit5 = an;
}